<?php
ob_start();
include '../backend/init.php';
include '../utilities/intro.php';
include '../utilities/time.php';
include '../utilities/image.php';
require ('../backend/sendgrid/sendgrid-php.php');
function httpPost($url, $data){
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($curl);
    curl_close($curl);
    return $response;
}
function send_message($phone,$type=1,$message,$sender){
    // Your variables
    $key="TXTNG-WQUZ2KZD5U3TTKQ5HNSN267R6CQGB7NONC6V4BF0PB3CJ6E3AZR";
    $route="2";
    if ($type == 1){
        $response = httpPost("https://api.textng.xyz/pushsms/",array("key"=>"$key","phone"=>"$phone","message"=>"$message","route"=>"$route","sender"=>"$sender","siscb" => 1));
    }
    
    //Getting the Reference Number 
    // extract text in front of "Reference:"
    $reference_text = "";
    if (preg_match("/Reference:(.*?)\s*\|\|/", $response, $matches)) {
        $reference_text = trim($matches[1]);
    }
    echo $response;
}
    if (!isset($_SESSION['user_id']) || !isset($_SESSION['email'])){
        header('Location:./login.php');
        ob_end_flush();
    }
    
    if(isset($_GET['id']) && !empty($_GET['id'])){
        $id = $_GET['id'];
        $email = getFieldsDetails('users','id',$id)['email'];
        $phone_number = getFieldsDetails('users','id',$id)['phone_number'];
        $name = getFieldsDetails('users','id',$id)['lname'];
        $time = time() + (60*60*24*365); //Expiry Time
        $sql = "UPDATE `users` SET `is_subscribed_start`='1', `expiry_date`='$time' WHERE id = '$id'";
        $query = mysqli_query($connection, $sql);
        if ($query){
            send_message($phone_number,1,"Your health insurance enrollment has been successfully processed, and your access to the plan is now active.","HealthBmpa");
            $messageintext = 'Your Health Bumpa Subscription Activated.';
            $messageinhtml = $message = '<!DOCTYPE html>
                        <html lang="en">
                        <head>
                            <meta charset="UTF-8">
                            <title>Your Health Bumpa Subscription Activation</title>
                        </head>
                        <body>
                            <div style="font-family: Arial, sans-serif; margin: 0; padding: 20px; background-color: #f4f4f4;">
                                <div style="max-width: 600px; margin: 0 auto; background-color: #ffffff; padding: 20px; border-radius: 5px; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);">
                                    <h2 style="color: #ff4266; font-size: 24px; font-weight: bold; margin: 0;">Your Health Bumpa Subscription Activation</h2>
                                    <p style="font-size: 16px;">Dear '.$name.',</p>
                                    <p style="font-size: 16px;">We are pleased to inform you that your Health Bumpa subscription has been successfully activated. You can now access your account and start enjoying the benefits of your health insurance plan.</p>
                                    <p style="font-size: 16px;">Here are some important details regarding your subscription:</p>
                                    <ul style="font-size: 16px;">
                                        <li>Subscription Confirmation: You have successfully subscribed.</li>
                                        <li>Congratulations: You are now a valued member of Health Bumpa.</li>
                                        <li>Immediate Access: You can begin using your insurance plan right away.</li>
                                    </ul>
                                    <p style="font-size: 16px;">We have sent essential information to your registered email address and phone number. Please review these communications carefully, as they contain everything you need to make the most of your insurance coverage.</p>
                                    <p style="font-size: 16px;">If you have any questions or require assistance, our Health Bumpa Health Centre agents are available to help:</p>
                                    <ul style="font-size: 16px;">
                                        <li>Email: <a href="mailto:info@healthbumpa.com">info@healthbumpa.com</a></li>
                                        <li>Phone: <a href="tel:0700-7354-2623">0700-7354-2623</a></li>
                                        <li>WhatsApp: <a href="tel:070-353-69587">070-353-69587</a></li>
                                        <li>Facebook: <a href="https://www.facebook.com/Reliancehmo">Reliancehmo</a></li>
                                    </ul>
                                    <p style="font-size: 16px;">Thank you for choosing Health Bumpa as your health insurance provider. We are committed to delivering top-notch care and services to ensure your well-being.</p>
                                    <p style="font-size: 16px;">To access your account, please click the link below:</p>
                                    <a href="https://healthbumpa.com/login.php" style="display: inline-block; padding: 10px 20px; background-color: #ff4266; color: #ffffff; text-decoration: none; border-radius: 5px; font-weight: bold; font-size: 16px; margin-top: 20px;">Login to Dashboard</a>
                                    <p style="font-size: 16px;">We look forward to serving your healthcare needs and providing you with peace of mind.</p>
                                    <p style="font-size: 16px; font-weight: bold;">Sincerely,</p>
                                    <p style="font-size: 16px; font-weight: bold;">Health Bumpa Health Insurance</p>
                                </div>
                            </div>
                        </body>
                        </html>
            ';
            $subject="Your Health Bumpa Subscription Activated.";
            if (sendWithSendGrid($subject,$email,$messageintext,$messageinhtml)) {
                header('Location: ./user_details.php?email='.$email);
                ob_end_flush();
            }
        }
    }
    else{
        header('Location:./login.php');
    }

?>