<?php
ob_start();
include '../backend/init.php';
include '../utilities/intro.php';
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <title>Admin - Login | Health Bumpa</title>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="https://healthbumpa.com/dashboard/assets/img/favicon.png">

		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Feathericon CSS -->
        <link rel="stylesheet" href="assets/css/feather.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
    </head>
    <body>
	
		<!-- Main Wrapper -->
        <div class="main-wrapper">
			<div class="row">
				<div class="col-md-12 login-wrap-bg">		
				
					<!-- Login -->
					<div class="login-wrapper">
						<div class="loginbox">
							<div class="img-logo">
								<img src="https://healthbumpa.com/dashboard/assets/img/healthbumpa-logo.svg" class="img-fluid" alt="Logo">
							</div>
							<h3>Login</h3>
							<p class="account-subtitle">login to your account to continue</p>
							<?php
							// Function to validate login credentials
                            function login($email, $password, $connection) {
                                $email = mysqli_real_escape_string($connection, $email);
                                $password = mysqli_real_escape_string($connection, $password);
                                $query = "SELECT id FROM `admin` WHERE `email` = '$email' AND `password` = '$password' AND `status` = 1";
                                $result = mysqli_query($connection, $query);
                                if ($result && mysqli_num_rows($result) == 1) {
                                    $user = mysqli_fetch_assoc($result);
                                    $_SESSION['user_id'] = $user['id'];
                                    $_SESSION['email'] = $email;
                                    return true;
                                } else {
                                    return false;
                                }
                            }
                            // Check if the form is submitted (POST request)
                            if (isset($_POST['submit'])) {
                                $email = $_POST['email'];
                                $password = $_POST['password'];
                                $userData = login($email, $password, $connection);
                            
                                if ($userData) {
                                    header('Location: ./index.php');
                                    ob_end_flush();
                                } else {
                                    // Login failed
                                    echo '<div class="alert alert-danger my-3" role="alert">
                                              Invalid credentials. Please try again.
                                            </div>';
                                }
                            }
							?>
							<form action="./login.php" method="POST">
								<div class="form-group form-focus">
									<input type="text" name="email" class="form-control floating">
									<label class="focus-label">Enter Email</label>
								</div>
								<div class="form-group form-focus">
									<input type="password" name="password" class="form-control floating">
									<label class="focus-label">Enter Password</label>
								</div>
								<div class="d-grid">
									<button class="btn btn-primary" name="submit" type="submit">Login</button>
								</div>
							</form>
						</div>
					</div>
					<!-- /Login -->
					
				</div>
				
			</div>
        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.6.0.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/bootstrap.bundle.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/script.js"></script>
		
    </body>
</html>