<?php
ob_start();
$title = "Plans"; 
include './layout.php'; 

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $name = $_POST["name"];
    $pricing = $_POST["pricing"].'000';
    $discount = $_POST["discount"];
    $id = 4;

    // Prepare the update query
    $sql = "UPDATE `plan` SET `name` = '$name', `pricing` = '$pricing', `discount` = '$discount' WHERE `id` = $id";

    // Execute the update query
    if ($connection->query($sql) === true) {
        header('Location: ./plans.php');
        ob_end_flush();
    } else {
        header('Location: ./plans.php');
        ob_end_flush();
    }
    $connection->close();
}
?>
			<!-- Page Wrapper -->
			<div class="page-wrapper">
				<div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header ">
					    <h2 class="my-3 mb-4">Plans</h2>
						<div class="row align-items-center d-none">
							<div class="col-md-12 d-flex justify-content-end">
								<a href="#"  data-bs-toggle="modal" data-bs-target="#addModal" class="btn btn-primary btn-add"><i class="feather-plus-square me-1"></i> Add New</a>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<!-- Specialities -->
					<div class="row">
						<div class="col-sm-12">
							<div class="card">
								<div class="card-header border-bottom-0">
									<div class="row align-items-center">
										<div class="col">
											<h5 class="card-title">Plans</h5>
										</div>
										<div class="col-auto d-flex flex-wrap">
											<div class="form-custom me-2">
												<div id="tableSearch"  class="dataTables_wrapper"></div>
											</div>
										</div>
									</div>
								</div>
								<div class="card-body p-0">				
									<div class="table-responsive">									
										<table class="datatable table table-borderless hover-table" id="data-table">
											<thead class="thead-light">
												<tr>
												   <th>Plan ID</th>
												   <th>Product</th>
												   <th>Pricing</th>
												   <th>Discount</th>
												   <th>Action</th>
												</tr>
											</thead>
											<tbody>
											    <?php
                                                    $sql = "SELECT * FROM plan";
                                                    $query = mysqli_query($connection,$sql);
                                                    $row = mysqli_fetch_assoc($query);
                                                        ?>
												<tr>
													<td>#<?php echo $row['track_id']; ?></td>
													<td>
														<h2>
															<?php echo $row['name']; ?>
														</h2>
													</td>
													<td>
														₦<?php echo number_format(mb_substr($row['pricing'], 0, -3, 'UTF-8'),2); ?>
													</td>
													<td>
														<?php echo $row['discount']; ?>
													</td>
													<td class="text-start">
														<div class="actions">
															<a class="text-black" href="#" data-bs-toggle="modal" data-bs-target="#editModal">
																<i class="feather-edit-3 me-3"></i> Edit
															</a>															
														</div>
													</td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
							
							<div id="tablepagination"  class="dataTables_wrapper"></div>
						</div>
					</div>
					<!-- /Specialities -->
				</div>
			</div>
			<!-- /Page Wrapper -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="addModal" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header">
							<h3 class="mb-0">Create New Plane</h3>
							<button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body">
							<form action="#" method="POST">
								<div class="add-wrap">
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" name="name" required>
										<label class="focus-label">Plan Name<span class="text-danger">*</span></label>
									</div>
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" name="amount" required>
										<label class="focus-label">Amount<span class="text-danger">*</span></label>
									</div>
									<div class="form-group form-focus">
									    <textarea type="text" class="form-control floating" style="min-height:250px;" name="description" required></textarea>
										<label class="focus-label">Description<span class="text-danger">*</span></label>
									</div>
									<div class="submit-section">
										<button type="submit" class="btn btn-primary btn-save">Create New</button>
									</div>								
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="editModal" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header">
							<h3 class="mb-0">Edit Speciality</h3>
							<button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body">
							<form action="./plans.php" method="POST">
							     <div class="add-wrap">
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" name="name" required value="<?php echo $row['name']; ?>">
										<label class="focus-label">Plan Name<span class="text-danger">*</span></label>
									</div>
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" name="pricing" value="<?php echo mb_substr($row['pricing'], 0, -3, 'UTF-8'); ?>" required>
										<label class="focus-label">Amount<span class="text-danger">*</span></label>
									</div>
									<div class="form-group form-focus">
										<input type="text" class="form-control floating" name="discount" required value="<?php echo $row['discount']; ?>"> 
										<label class="focus-label">Discount<span class="text-danger">*</span></label>
									</div>
									<div class="submit-section">
										<button type="submit" class="btn btn-primary btn-save">Update</button>
									</div>								
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="deleteModal" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header border-bottom-0 justify-content-end">
							<button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body">
							<form action="specialities.html">
								<div class="delete-wrap text-center">
									<div class="del-icon"><i class="feather-x-circle"></i></div>
									<h2>Sure you Want to delete</h2>
									<p>“Cardiolody”</p>
									<div class="submit-section">
										<button type="submit" class="btn btn-success me-2">Yes</button>
										<a href="#" class="btn btn-danger" data-bs-dismiss="modal">No</a>
									</div>								
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
					<!-- /Page Wrapper -->
			
	<?php include './footer.php'; ?>
	