<?php include './layout.php'; ?>
			<!-- Page Wrapper -->
			<div class="page-wrapper">
				<div class="content container-fluid">
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col-md-12 d-flex ">
								<h3 class=" me-3">Total Transactions <span class="ms-1"><?php echo countRow('transations', 'id'); ?></span></h3>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<!-- Transaction List -->
					<div class="row">
						<div class="col-sm-12">
							<div class="card">
								<div class="card-header border-bottom-0">
									<div class="row align-items-center">
										<div class="col">
											<h5 class="card-title">Transaction</h5>
										</div>
										<div class="col-auto d-flex">
											<div class="form-custom me-2">
												<div id="tableSearch"  class="dataTables_wrapper"></div>
											</div>
										</div>
									</div>
								</div>
								<div class="card-body p-0">				
									<div class="table-responsive">									
										<table class="datatable table table-borderless hover-table" id="data-table">
											<thead class="thead-light">
												<tr>
												   <th>REF</th>
												   <th>Invoice Number</th>
												   <th>Patient</th>
												   <th>Date</th>
												   <th>Total Amount</th>
												   <th>Status</th>
												   <th ></th>
												</tr>
											</thead>
											<tbody>
											    <?php
                                                    $sql = "SELECT * FROM `transations` LEFT JOIN users ON transations.email = users.email";
                                                    $query = mysqli_query($connection,$sql);
                                                    $count = 0;
                                                    function foodate($data){
                                                        $originalDateTime = new DateTime($data);
                                                        $formattedDateStr = $originalDateTime->format("d F Y");
                                                        return $formattedDateStr;
                                                    }
                                                    while ($row = mysqli_fetch_assoc($query)) {
                                                        $count++;
                                                        ?>
												        <tr>
													<td>#</td>
													<td><a href="#" data-bs-toggle="modal" data-bs-target="#transaction"><span class="text-primary user-name text-truncate d-block" style="width:130px;"><?php echo $row['ref']; ?></span></a></td>
													<td>
														<h2 class="table-avatar">
															<a href="./user_details.php?email=<?php echo $row['email']; ?>"><img class="avatar avatar-img" src="<?php echo $row['image']; ?>" alt="<?php echo $row['lname']; ?> <?php echo $row['fname']; ?>"></a>
															<a href="./user_details.php?email=<?php echo $row['email']; ?>"><span class="user-name"><?php echo $row['lname']; ?> <?php echo $row['fname']; ?></span></a>
														</h2>
													</td>
													<td><span class="user-name"><?php echo foodate($row['date_created']); ?> </span><span class="d-block"><?php echo mb_substr($row['date_created'], 0, -10, 'UTF-8'); ?></span></td>
													<td>₦<?php echo number_format(mb_substr($row['amount'], 0, -2, 'UTF-8'),2); ?></td>
													<td><span class="badge bg-badge-grey text-success"><i class="fas fa-circle me-1"></i> Paid</span></td>
													<td class="text-start">
														<div class="actions">
															<a class="text-index" href="#" data-bs-toggle="modal" data-bs-target="#transaction">
																<i class="feather-eye"></i> Preview
															</a>															
														</div>
													</td>
												</tr>
												 <?php
                                                    }
                                                ?>
											</tbody>
										</table>
									</div>
								</div>
							</div>
							
							<div id="tablepagination"  class="dataTables_wrapper"></div>
						</div>
					</div>
					<!-- /Transaction List -->
				</div>
			</div>
			<!-- /Page Wrapper -->
			
			<!-- Modal -->
			<div class="modal fade contentmodal" id="transaction" tabindex="-1" aria-hidden="true">
				<div class="modal-dialog modal-dialog-centered">
					<div class="modal-content doctor-profile">
						<div class="modal-header border-bottom-0 justify-content-end pb-0">
							<button type="button" class="close-btn" data-bs-dismiss="modal" aria-label="Close"><i class="feather-x-circle"></i></button>
						</div>
						<div class="modal-body pt-0">
							<div class="rating-wrapper">
								<form action="transaction.html">
									<h4 class="text-center mb-4">Transaction Details</h4>
									<div class="row">
										<div class="col-sm-4">
											<div class="mem-info">
												<h6>Consultation ID </h6>
												<p>#454445</p>
											</div>
										</div>
										<div class="col-sm-4">
											<div class="mem-info">
												<h6>Paid On </h6>
												<p>14 Sep 2023 05:30 PM</p>
											</div>
										</div>
										<div class="col-sm-4">
											<div class="mem-info">
												<h6>Payment Mode</h6>
												<p>Online</p>
											</div>
										</div>  
										<div class="col-sm-4">
											<div class="mem-info">
												<h6>Consultation Fees</h6>
												<p>₦ 0.00</p>
											</div>
										</div>
										<div class="col-sm-4">
											<div class="mem-info">
												<h6>Charges</h6>
												<p>0.00</p>
											</div>
										</div>
										<div class="col-sm-4">
											<div class="mem-info">
												<h6>Total Fees</h6>
												<p>₦ 12,000.00</p>
											</div>
										</div>  									
									</div> 	
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /Modal -->
			
<?php include './footer.php'; ?>
<script>
    
</script>