<?php
ob_start();
$title = "User Details"; 
include './layout.php'; 
if (isset($_GET['email'])){
    if(!empty($_GET['email'])){
        $email = $_GET['email'];
        $sql = "SELECT * FROM users WHERE email = '$email'";
        $query = mysqli_query($connection,$sql);
        $row = mysqli_fetch_assoc($query);
        //`private_id`, `fname`, `lname`, `oname`, `address`, `phone_number`, `gender`, `dob`, `email`, `image`, `password`, `status`, `customer_code`, `is_suscribed`, `expiry_date`
        function getage($birthdateStr){
            $birthdate = new DateTime($birthdateStr);
            $currentDate = new DateTime();
            
            // Calculate the difference between the birthdate and current date
            $ageInterval = $currentDate->diff($birthdate);
            
            // Get the age from the interval
            $age = $ageInterval->y;
            
            return $age;
        }
    }
    else{
        header('Location: ./index.php');
        ob_end_flush();
    }
}
else{
    header('Location: ./index.php');
    ob_end_flush();
}
?>		
<!-- Page Wrapper -->
    <div class="page-wrapper">
				<div class="content container-fluid">
					
					<!-- Profile Information -->
					<div class="row">
						<div class="col-md-8 col-lg-8 col-xl-6">
							<div class="profile-info">
								<h4><?php echo $row['lname'].' '.$row['fname']; ?> Profile</h4>
								<div class="profile-list">
									<div class="profile-detail">
										<label class="avatar profile-cover-avatar">
											<img class="avatar-img" src="<?php echo $row['image']; ?>" alt="<?php echo $row['lname'].' '.$row['fname']; ?>">
										</label>
										<div class="pro-name">
											<p><?php echo $row['email']; ?></p>
											<h4><?php echo $row['lname'].' '.$row['fname']; ?></h4>
										</div>
										<?php
										if($row['is_subscribed_start'] == 0){
										    ?>
										    <a href="./approve_user.php?id=<?php echo $row['id']; ?>" class="edit-pro text-white btn btn-primary">Activate</a>
										    <?php
										}
										?>
										
									</div>
									<div class="row">
										<div class="col-md-12">
											<h6 class="pro-title">Personal Information</h6>
											<p class="d-none">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Turpis adipiscing arcu praesent tellus aliquam quam volutpat. Etiam tincidunt habitant sit maecenas feugiat eget convallis. Aliquam non viverra accumsan vulputate id aliquam et enim vivamus. </p>
										</div>
										<div class="col-md-4 mb-3">
											<h5>Date of Birth</h5>
											<p><?php echo $row['dob']; ?></p>
										</div>
										<div class="col-md-4 mb-3">
											<h5>Gender</h5>
											<p><?php echo $row['gender']; ?></p>
										</div>
										<div class="col-md-4 mb-3">
											<h5>Age</h5>
											<p><?php echo getage($row['dob']); ?></p>
										</div>
										<div class="col-md-12">
											<h6 class="pro-title">Address & Location</h6>
										</div>
										<div class="col-md-4">
											<h5>Address</h5>
											<p><?php echo $row['address']; ?></p>
										</div>
										<div class="col-md-4">
											<h5>Country</h5>
											<p>Nigeria</p>
										</div>
									</div>
								</div>
								<div class="profile-list">
									<div class="row">
										<div class="col-md-12">
											<div class="pro-title d-flex justify-content-between">
												<h6>Account Information</h6>
												<a href="#" class="edit-pro d-none"><i class="feather-edit"></i> Edit</a>
											</div>
										</div>
										<div class="col-md-6 mb-3">
											<h5>Email Address</h5>
											<p><?php echo $row['email']; ?></p>
										</div>
										<div class="col-md-6 mb-3">
											<h5>Phone Number</h5>
											<p><?php echo $row['phone_number']; ?></p>
										</div>
										<div class="col-md-6 mb-3">
											<h5>Date Joined</h5>
											<p><?php echo $row['created_at']; ?></p>
										</div>
										<div class="col-md-6">
											<h5>Social Links</h5>
											<ul class="social-icon">
												<li>
													<a href="#"><i class="feather-twitter"></i></a>
												</li>
												<li>
													<a href="#"><i class="feather-facebook"></i></a>
												</li>
												<li>
													<a href="#"><i class="feather-linkedin"></i></a>
												</li>
												<li>
													<a href="#"><i class="feather-instagram"></i></a>
												</li>
												<li>
													<a href="#"><i class="feather-youtube"></i></a>
												</li>
											</ul>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<!-- /Profile Information -->
				</div>
			</div>
<!-- /Page Wrapper -->
			
<?php include './footer.php'; ?>