<?php
include './init.php';

$newtoday = time();
$today = $newtoday - 60 * 60 * 24;
$minus7 = $newtoday - 6 * 60 * 60 * 24;
$minus31 = $newtoday - (30 * 60 * 60 * 24);
$filterBy = $_GET['filterBy'];
$transData = array("labels" => [], "data" => [] );
$sql;

switch($filterBy){
    case 'L7DAYS':
    $sql = "SELECT time,amount FROM `transations` WHERE time >= '$minus7' AND status = 'success' ";
        break;
    case 'L3ODAYS':
        $sql = "SELECT time,amount FROM `transations` WHERE time >= '$minus31' AND status = 'success' ";
        break;
    case 'TODAY':
        $sql = "SELECT time,amount FROM `transations` WHERE time >= '$today'  AND status = 'success' ";
        break;
    default:
        $sql = "SELECT time,amount FROM `transations` WHERE status = 'success' ";
        break;
}    
        
$sales = [];
//today
$totalToday = 0;
//year
$months = ['JAN'=>0,'FEB'=>0,'MAR'=>0 ,'APR'=> 0,'MAY'=>0,'JUN'=>0,'JUL'=>0,'AUG'=>0,'SEP'=>0,'OCT'=>0,'NOV'=>0,'DEC'=>0];
$days = ['01' =>0, '02' =>0,'03'=>0,'04'=>0,'05'=>0,'06'=>0,'07'=>0,'08'=>0,'09'=>0,'10'=>0,'11'=>0,'12'=>0,'13'=>0,'14'=>0,'15'=>0,'16'=>0,'17'=>0,'18'=>0,'19'=>0,'20'=>0,'21'=>0,'22'=>0,'23'=>0,'24'=>0,'25'=>0,'26'=>0,'27'=>0,'28'=>0,'29'=>0,'30'=>0,'31'=>0];
$week_days = ['MON'=>0,'TUE'=>0,'WED'=>0,'THU'=>0,'FRI'=>0,'SAT'=>0,'SUN'=>0];

$hours = ['12AM' =>0, '01AM' =>0,'02AM'=>0,'03AM'=>0,'04AM'=>0,'05AM'=>0,'06AM'=>0,'07AM'=>0,'08AM'=>0,'09AM'=>0,'10AM'=>0,'11AM'=>0,'12PM'=>0,'01PM'=>0,'02PM'=>0,'03PM'=>0,'04PM'=>0,'05PM'=>0,'06PM'=>0,'07PM'=>0,'08PM'=>0,'09PM'=>0,'10PM'=>0 ,'11PM' => 0] ;
$query = mysqli_query($connection,$sql);

if ($query) {
  while ($row = mysqli_fetch_assoc($query)) {
        switch($filterBy){
            case "YEAR":
                 if(date('Y') == date('Y',$row['time']) ){
                    $time  = strtoupper( date('M',$row['time']));
                    foreach ($months as $month => $val) {
                        if ($time == $month) {
                            $months[$month] +=  intval(mb_substr($row['amount'], 0, -2, 'UTF-8'));
                        }
                    }
                 }
            break;
            case "L7DAYS":
                    if(date('Y') == date('Y',$row['time']) ){
                        if($row['time'] >= (time() - 6*60*60*24) && $row['time'] <= time()){
                            $time  = strtoupper( date('D',$row['time']));
                                foreach ($week_days as $week_day => $val) {
                                    if ($time === $week_day) {
                                        $week_days[$week_day] +=  intval(mb_substr($row['amount'], 0, -2, 'UTF-8'));
                                    }
                                }
                        }
                    }
                break;
            
            case "L30DAYS":
                    if(date('Y') == date('Y',$row['time']) ){
                        if($row['time'] >= time() - 30*60*60*24 && $row['time'] < time()){
                            $time  = strtoupper( date('d',$row['time']));
                            foreach ($days as $day => $val) {
                                if ($time == $day) {
                                    $days[$day] +=  intval(mb_substr($row['amount'], 0, -2, 'UTF-8'));
                                }
                            }
                        }
                    }
                        
                break;
            case "ALL":
                $time  = strtoupper( date('M',$row['time']));
                    foreach ($months as $month => $val) {
                        if ($time == $month) {
                            $months[$month] +=  intval(mb_substr($row['amount'], 0, -2, 'UTF-8'));
                        }
                    }
                break;
             case "TODAY":
            if(date('Y-M-d') == date('Y-M-d',$row['time'])){
                foreach($hours as $hour => $total){
                    if(date('hA',$row['time']) == $hour){
                        $hours[$hour] += intval(mb_substr($row['amount'], 0, -2, 'UTF-8'));
                    }
                }
            }
                break; 
      
}

}

    switch($filterBy){
        case 'TODAY':
            $totalArray = [];
            foreach($hours as $hour => $total){
            array_push($transData['data'], $total);
            array_push($transData['labels'], $hour);
            }
            $labels = $transData['labels'];
            $totals = $transData['data'];
            $currentHour = date("hA");
            $currentHourIndex;
            $newLabels = [];
            for($i=0;$i<count($labels);$i+=2){
              array_push($newLabels,$labels[$i]);
            }
            $newTotal=[];
            for($i = 0;$i < count($newLabels); $i++){
                $lowerLimit = $newLabels[$i];
                $upperLimit = $newLabels[$i + 1];
                $ll=0;$ul=0;
                 for($m = 0;$m < count($labels); $m++){
                     if($lowerLimit == $labels[$m]){
                         $ll = $m;
                     }
                     if($upperLimit == $labels[$m]){
                         $ul = $m;
                     }
                 }
                 for($n = $ll;$n <  $ul;$n++){
                     $newTotal[$i] = $newTotal[$i] ? $newTotal[$i] : 0;
                     $newTotal[$i] += $totals[$n];
                 }
                 if($i+1 == count($newLabels)){
                     $newTotal[$i] = $newTotal[$i] ? $newTotal[$i] : 0;
                     $newTotal[$i] += $totals[$i];
                 }
            }
            $upTotimeLabels = [];$upTotimeTotal = [];
            for($i = 0; $i<count($newLabels); $i++){
                array_push($upTotimeLabels,$newLabels[$i]);
                $timeDiff = str_split($newLabels[$i])[1] - str_split(date('hA'))[1];
                if($newLabels[$i] == date('hA') || $newLabels[$i] == date('hA',time() + 60*60) ){
                    $currentHourIndex = $i;
                    break;
                }
            }
            //final loop..
            for($i = 0;$i <= $currentHourIndex;$i++){
                array_push($upTotimeTotal,$newTotal[$i]);
            }
           $transData['labels'] = date('hA') =='11PM' ? $labels : $upTotimeLabels;
            $transData['data'] =  date('hA') =='11PM' ? $totals: $upTotimeTotal;
            break;
            
        case "L7DAYS":
            foreach($week_days as $week_day => $total){
                array_push($transData['data'], $total );
                array_push($transData['labels'], $week_day );
            }
            $currentDayIndex;$last7days=[];$last7daysAmount=[];
            for($i = 0; $i < count($transData['labels']); $i++){
                if(strtoupper(date('D',time())) == $transData['labels'][$i]){
                    $currentDayIndex = $i;
                    break;
                }
            }
            
            for($i = $currentDayIndex; $i >= 0;$i--){
                 array_push($last7days,$transData['labels'][$i]);
                array_push($last7daysAmount,$transData['data'][$i]);
                if($i == 0){
                    for($m = 6; $m > $currentDayIndex; $m --){
                array_push($last7days,$transData['labels'][$m]);
                array_push($last7daysAmount,$transData['data'][$m]);
                    }
                }
            }
        
          $transData['labels'] = array_reverse($last7days);
          $transData['data'] = array_reverse($last7daysAmount);
            break;
        case "L30DAYS" :
            foreach($days as $day => $total){
                array_push($transData['data'], $total );
                array_push($transData['labels'], $day );
            }
            $currentDayIndex;$last30days=[];$last30daysAmount=[];
            for($i = 0; $i < count($transData['labels']); $i++){
                if(strtoupper(date('d')) == $transData['labels'][$i]){
                    $currentDayIndex = $i;
                    break;
                }
            }
            for($i = $currentDayIndex; $i >= 0;$i--){
                 array_push($last30days,$transData['labels'][$i]);
                array_push($last30daysAmount,$transData['data'][$i]);
                if($i == 0){
                    for($m = 30; $m > $currentDayIndex; $m --){
                array_push($last30days,$transData['labels'][$m]);
                array_push($last30daysAmount,$transData['data'][$m]);
                    }
                }
            }
        
          $transData['labels'] = array_reverse($last30days);
          $transData['data'] = array_reverse($last30daysAmount);
            break;
        case 'YEAR':
            foreach($months as $month => $total){
                array_push($transData['data'], $total );
                array_push($transData['labels'], $month );
            }
            break;
        case 'ALL':
            foreach($months as $month => $total){
                array_push($transData['data'], $total );
                array_push($transData['labels'], $month );
            }
            break;
    } 
}
echo json_encode($transData);

