<?php
include '../init.php';
include '../../utilities/intro.php';
include '../../utilities/encryption.php';

$secretKey = 'sk_test_980c31fab205c9737fbf42aac5631ca926b99f3c';
$subscriptionId = $_POST['sub_id'];

// Step 1: Retrieve Subscription Details
$subscriptionUrl = "https://api.paystack.co/subscription/$subscriptionId";
$subscriptionResponse = curlRequest($subscriptionUrl, $secretKey);

$subscription = json_decode($subscriptionResponse, true);

if ($subscription['status'] === true) {
    // Step 2: Cancel Subscription
    $cancelUrl = "https://api.paystack.co/subscription/$subscriptionId/disable";
    $cancelResponse = curlRequest($cancelUrl, $secretKey, 'POST');
    $cancelData = json_decode($cancelResponse, true);

    if ($cancelData['status']) {
        echo 'Subscription cancelled: ' . $cancelData['data']['status'];
    } else {
        echo 'Error cancelling subscription: ' . $cancelData['message'];
    }
} else {
    echo 'Subscription not found or already cancelled.';
}

function curlRequest($url, $secretKey, $method = 'GET') {
    $headers = array(
        'Authorization: Bearer ' . $secretKey,
        'Content-Type: application/json'
    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($ch);
    curl_close($ch);

    return $response;
}

?>