<?php $title = "My Profile"; ?>
<?php include './layout.php'; ?>
<!-- Content wrapper -->
          <!-- Content wrapper -->
          <div class="content-wrapper">
            <!-- Content -->
            <div class="container-xxl flex-grow-1 container-p-y">
                <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">Profile Details /</span> <?php echo $user['lname']; ?> <?php echo $user['fname']; ?></h4>
  
                <div class="row">
                  <!-- User Sidebar -->
                  <div class="col-12">
                    <!-- User Card -->
                    <div class="card mb-4">
                      <div class="card-body">
                        <div class="user-avatar-section">
                            <!-- `private_id`, `fname`, `lname`, `oname`, `address`, `phone_number`, `gender`, `dob`, `email`, `image`, `password`, `status`, `customer_code`, `customer_subdata`, `is_suscribed`, `expiry_date`, `created_at`, `updated_at` -->
                          <div class=" d-flex align-items-center flex-column">
                            <img class="img-fluid rounded my-4" src="<?php echo $user['image']; ?>" height="110" width="110" alt="<?php echo $user['lname']; ?> <?php echo $user['fname']; ?>">
                            <div class="user-info text-center">
                              <h4 class="mb-2"><?php echo $user['lname']; ?> <?php echo $user['fname']; ?></h4>
                              <small class="d-block"><?php echo $user['private_id']; ?></small>
                              <span class="badge bg-label-secondary">User</span>
                            </div>
                          </div>
                        </div>
                        <div class="d-none justify-content-around flex-wrap my-4 py-3">
                          <div class="d-flex align-items-start me-4 mt-3 gap-3">
                            <span class="badge bg-label-primary p-2 rounded"><i class="bx bx-check bx-sm"></i></span>
                            <div>
                              <h5 class="mb-0">1.23k</h5>
                              <span>Tasks Done</span>
                            </div>
                          </div>
                          <div class="d-flex align-items-start mt-3 gap-3">
                            <span class="badge bg-label-primary p-2 rounded"><i class="bx bx-customize bx-sm"></i></span>
                            <div>
                              <h5 class="mb-0">568</h5>
                              <span>Projects Done</span>
                            </div>
                          </div>
                        </div>
                        <h5 class="pb-2 border-bottom mb-4">Details</h5>
                        <div class="info-container">
                          <ul class="list-unstyled">
                            <li class="mb-3">
                              <span class="fw-medium me-2">Username:</span>
                              <span><?php echo $user['lname']; ?> <?php echo $user['fname']; ?>  <?php echo $user['oname']; ?> </span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Email:</span>
                              <span><?php echo $user['email']; ?></span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Status:</span>
                              <span class="badge bg-label-success">Active</span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Address:</span>
                              <span><?php echo $user['address']; ?></span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Gender:</span>
                              <span><?php echo $user['gender']; ?></span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Contact:</span>
                              <span><?php echo $user['phone_number']; ?></span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Date of Birth:</span>
                              <span><?php echo $user['dob']; ?></span>
                            </li>
                            <li class="mb-3">
                              <span class="fw-medium me-2">Country:</span>
                              <span>Nigeria</span>
                            </li>
                          </ul>
                          <div class="d-none justify-content-center pt-3">
                            <a href="javascript:;" class="btn btn-primary me-3" data-bs-target="#editUser" data-bs-toggle="modal">Edit</a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- /User Card -->
                    <div class="card card-action mb-4">
                      <div class="card-header align-items-center">
                        <h5 class="card-action-title mb-0">Insurance Details</h5>
                        <?php
                        // {
                            //     "success": true,
                            //     "message": "Success",
                            //     "planDetails": [
                            //         {
                            //             "planId": 1930,
                            //             "planName": "HYBASIC 2022 PLAN ",
                            //             "familyprice": 0.0,
                            //             "individualprice": 42290.0,
                            //             "planType": "Medical (Insurance)"
                            //         }
                            //     ],
                            //     "coverageDetails": [
                            //         {
                            //             "effectiveDate": "2023-08-19T05:37:12",
                            //             "terminationDate": "2023-08-19T05:37:12",
                            //             "coverageClass": "Employee Only"
                            //         }
                            //     ],
                            //     "renewalInfo": {
                            //         "planExpired": false,
                            //         "renewOnSamePlan": true,
                            //         "renewOnAnotherPlan": false
                            //     },
                            //     "customerType": "Retail",
                            //     "paymentStatus": null,
                            //     "paymentMethod": null
                            // }?>
                      </div>
                      <div class="card-body">
                        <div class="row">
                          <div class="col-xl-7 col-12">
                            <dl class="row mb-0">
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Plan ID:</dt>
                              <dd class="col-sm-8"> <?php print_r(json_decode($user['customer_subdata'],true)["planDetails"][0]["planId"]); ?></dd>
                
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Plan Name:</dt>
                              <dd class="col-sm-8"> <?php print_r(json_decode($user['customer_subdata'],true)["planDetails"][0]["planName"]); ?></dd>
                
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Plan Type:</dt>
                              <dd class="col-sm-8"><?php print_r(json_decode($user['customer_subdata'],true)["planDetails"][0]["planType"]); ?></dd>
                
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Address:</dt>
                              <dd class="col-sm-8"><?php echo $user['address']; ?></dd>
                            </dl>
                          </div>
                          <div class="col-xl-5 col-12">
                            <dl class="row mb-0">
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Contact:</dt>
                              <dd class="col-sm-8"><?php echo $user['phone_number']; ?></dd>
                
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Country:</dt>
                              <dd class="col-sm-8">Nigeria</dd>
                
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">AutoRenewal:</dt>
                              <dd class="col-sm-8"><?php echo (json_decode($user['customer_subdata'],true)["renewalInfo"]["renewOnSamePlan"]) ? "True":"False"; ?></dd>
                
                              <dt class="col-sm-4 fw-medium mb-3 text-nowrap">Coverage Class:</dt>
                              <dd class="col-sm-8"><?php print_r(json_decode($user['customer_subdata'],true)["coverageDetails"][0]["coverageClass"]); ?></dd>
                            </dl>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- Plan Card -->
                    <div class="card mb-4 d-none">
                      <div class="card-body">
                        <div class="d-flex justify-content-between align-items-start">
                          <span class="badge bg-label-primary">Standard</span>
                          <div class="d-flex justify-content-center">
                            <sup class="h5 pricing-currency mt-3 mb-0 me-1 text-primary">$</sup>
                            <h1 class="display-5 mb-0 text-primary">99</h1>
                            <sub class="fs-6 pricing-duration mt-auto mb-3">/month</sub>
                          </div>
                        </div>
                        <ul class="ps-3 g-2 my-4">
                          <li class="mb-2">10 Users</li>
                          <li class="mb-2">Up to 10 GB storage</li>
                          <li>Basic Support</li>
                        </ul>
                        <div class="d-flex justify-content-between align-items-center mb-1">
                          <span>Days</span>
                          <span>80% Completed</span>
                        </div>
                        <div class="progress mb-1" style="height: 8px;">
                          <div class="progress-bar" role="progressbar" style="width: 80%;" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        <span>6 days remaining</span>
                        <div class="d-grid w-100 mt-4 pt-2">
                          <button class="btn btn-primary" data-bs-target="#upgradePlanModal" data-bs-toggle="modal">Upgrade Plan</button>
                        </div>
                      </div>
                    </div>
                    <!-- /Plan Card -->
                  </div>
                  <!--/ User Sidebar -->
                
                </div>
              </div>
            <!-- / Content -->


            <div class="content-backdrop fade"></div>
          </div>
            <div class="modal fade" id="editUser" tabindex="-1" style="display: none;" aria-hidden="true">
              <div class="modal-dialog modal-lg modal-simple modal-edit-user">
                <div class="modal-content p-3 p-md-5">
                  <div class="modal-body">
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    <div class="text-center mb-4">
                      <h3>Edit User Information</h3>
                      <p>Updating user details will receive a privacy audit.</p>
                    </div>
                    <form id="editUserForm" class="row g-3 fv-plugins-bootstrap5 fv-plugins-framework" onsubmit="return false" novalidate="novalidate">
                      <div class="col-12 col-md-6 fv-plugins-icon-container">
                        <label class="form-label" for="modalEditUserFirstName">First Name</label>
                        <input type="text" id="modalEditUserFirstName" name="modalEditUserFirstName" class="form-control" placeholder="John">
                      <div class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback"></div></div>
                      <div class="col-12 col-md-6 fv-plugins-icon-container">
                        <label class="form-label" for="modalEditUserLastName">Last Name</label>
                        <input type="text" id="modalEditUserLastName" name="modalEditUserLastName" class="form-control" placeholder="Doe">
                      <div class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback"></div></div>
                      <div class="col-12 fv-plugins-icon-container">
                        <label class="form-label" for="modalEditUserName">Username</label>
                        <input type="text" id="modalEditUserName" name="modalEditUserName" class="form-control" placeholder="john.doe.007">
                      <div class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback"></div></div>
                      <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Email</label>
                        <input type="text" id="modalEditUserEmail" name="modalEditUserEmail" class="form-control" placeholder="example@domain.com">
                      </div>
                      <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserStatus">Status</label>
                        <select id="modalEditUserStatus" name="modalEditUserStatus" class="form-select" aria-label="Default select example">
                          <option selected="">Status</option>
                          <option value="1">Active</option>
                          <option value="2">Inactive</option>
                          <option value="3">Suspended</option>
                        </select>
                      </div>
                      <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserPhone">Phone Number</label>
                        <div class="input-group input-group-merge">
                          <span class="input-group-text">+1</span>
                          <input type="text" id="modalEditUserPhone" name="modalEditUserPhone" class="form-control phone-number-mask" placeholder="202 555 0111">
                        </div>
                      </div>
                      <div class="col-12 text-center">
                        <button type="submit" class="btn btn-primary me-sm-3 me-1">Submit</button>
                        <button type="reset" class="btn btn-label-secondary" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                      </div>
                    <input type="hidden"></form>
                  </div>
                </div>
              </div>
            </div>
<?php include './footer.php'; ?>         
<!-- Content wrapper -->
        