<?php
 require("backend/init.php");
 
//Get Access Authorization
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.hygeiahmo.com/tpi-ms/oauth2/token',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_POSTFIELDS => 'grant_type=password&username=admin&password=111111',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/x-www-form-urlencoded'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
$access_token = json_decode($response,true)["access_token"];

function date_formatter($inputDateTime){
    $date = new DateTime($inputDateTime);
    $outputDateTime = $date->format("Y-m-d\TH:i:s\Z");
    return $outputDateTime;
}

// Prepare the SELECT statement
$result = $connection->query("SELECT * FROM `users` WHERE email = '$customer_email'");
// Check if the SELECT query was successful
if ($result) {
$row = $result->fetch_assoc();
    $dob = date_formatter($row['dob']);
    $email = $row['email'];
    $first_name = $row['fname'];
    $last_name = $row['lname'];
    $other_name = $row['oname'];
    $address = $row['address'];
    $image = $row['image'];
    $gender = ($row['gender'] == "Male") ? 1:2; 
    $phone = $row['phone_number'];

}       

$data = '{
    "dataConsent": true,
    "dob": "'.$dob.'",
    "email": "'.$email.'",
    "phone": "'.$phone.'",
    "firstName": "'.$first_name.'",
    "lastName": "'.$last_name.'",
    "otherName": "'.$other_name.'",
    "planId": 1930,
    "imagePath": "'.$image.'",
    "genderId": "'.$gender.'", 
    "address": "'.$address.'"
}';

$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.hygeiahmo.com/tpi-ms/api/enrollee/registration',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>$data,
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer '.$access_token
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$data = json_decode($response,true);
if ($data['success']){
    $status = 1;
    $stmt = $connection->prepare("INSERT INTO subscribed_users (`email`, `response`, `status`) VALUES (?,?,?)");
    $stmt->bind_param("sss", $email,$response,$status);
    $stmt->execute();
    $stmt->close();
}
else{
    $status = 0;
    $stmt = $connection->prepare("INSERT INTO subscribed_users_failed (`email`, `response`, `status`) VALUES (?,?,?)");
    $stmt->bind_param("sss", $email,$response,$status);
    $stmt->execute();
    $stmt->close();
}

?>