<?php include './header.php'; ?>
<!--end of header-->

    <style>
        .v {
            & .v-dot-image{
                z-index: -1;
            }
            & .v-ZZZZ{
                z-index: 3;   
                background-color: #fff;
                border-radius: 4px;
                padding: 0.4rem 0.9rem;
                gap: .6rem;
                flex-wrap: nowrap;
                box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
                
                & .v-image-container{
                    width: 26px;
                    aspect-ratio: 1/1;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }
            }
            &.v-3{
                & .v-dot-image{
                    --i: -1.5rem;
                    top: var(--i);
                    left: var(--i);
                }
                & .v-ZZZZ{
                    bottom: 14%;
                    right: -14%;
                    @media all and (max-width: 500px){
                        & {
                            right: 4%;
                        }
                    }
                    & .v-text{
                        font-weight: 600;
                        font-size: .9rem;
                    }
                }
            }
            &.v-2 {
                & .v-dot-image{
                    --i: -1rem;
                    bottom: var(--i);
                    right: var(--i);
                }
                 & .v-ZZZZ{
                    top: 14%;
                    left: -14%;
                    padding: .6rem 1rem;
                    border-radius: 6px;
                    gap: .8rem;
                    @media all and (max-width: 500px){
                        & {
                            left: 4%;
                        }
                    }
                    
                    & .v-bar{
                        border-radius: 100px;
                        height: 7px;
                        width: 55px;
                        background-color: #DCDCDC;
                    }
                }
            }
            &.v-5 {
                & .v-dot-image{
                    --i: -1.5rem;
                    bottom: var(--i);
                    left: var(--i);
                }
            }
        }
        @media all and (max-width:600px){
            .v-dot-image{
                display:none !important;
            }
        }
    </style>
    <main>
       <!--main-->
        <div class="main__inner px-0">
            <div class=" px-0">
                <!--section one-->
                <div class="container px-2 px-md-0">
                    <div class="row col-12 align-items-center m-0 gap-4 gap-md-0">
                       <div class="p-0 pre__image col-md-5">
                          <div class="pre__image__inner animate__animated animate__backInLeft">
                             <div>
                                <h1 class="fw-bolder"><b>Your Health Deserves The Best</b></h1>
                             </div>
                             <div>
                                <p class="v-p-text">
                                   Looking for an affordable and reliable health insurance option that gives you all round access to the care you need? We made HealthBumpa just for you
                                </p>
                             </div>
                             <div class="col-md-10 mt-3 extra" id="_bIZmxOp6x">
                                <div class="form-input">
                                   <form method='POST' action='./register.php'>
                                      <button class="submit-btn position-static m-sm-0" style="height: 50px;" type='submit' name='join' >Get Started</button>
                                   </form>
                                </div>
                             </div>
                          </div>
                       </div>
                       <div class="col-md-2"></div>
                       <div class="p-0 image col-md-5">
                          <div class="animate__animated animate__backInRight">
                             <img src="./assets/images/woman-image.png" alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" />
                          </div>
                       </div>
                    </div>
                    <h1 class="fw-bolder text-center my-3 mb-md-5"><b>Unbeatable offers made for you</b></h1>
                </div>
                <!--section two-->
                <div class="v v-2" style="background: #E0F9FF;">
                    <div class="container-lg px-2 py-5 px-md-0 my-5">
                        <div class="row col-12 align-items-center justify-content-around m-0 mt-4 gap-2 gap-md-0">
                            <div class="p-0 pre__image col-md-5">
                               <div class="pre__image__inner animate__animated animate__backInLeft">
                                  <div>
                                     <h1 class="fw-bold" style="text-align:left !important;"><b>Affordable coverage</b></h1>
                                  </div>
                                  <div class="d-none d-md-block col-md-10">
                                     <p class="v-p-text">
                                        We believe that you deserve access to quality healthcare insurance. We are offering you affordable plans that meet your needs and.
                                     </p>
                                  </div>
                               </div>
                            </div>
                            <div class="p-0 image col-md-5 order-1 position-relative">
                               <div class="animate__animated animate__backInRight position-relative">
                                  <img src="./assets/images/man-and-woman-on-phone.png" class="img-fluid" alt="HealthBumpa: The Future of Health Insurance is Here" style="border-radius: 15px;"/>
                                  <div class="position-absolute v-dot-image">
                                      <img src="./assets/images/dots-red.png" alt="" class="img-fluid" />
                                  </div>
                               </div>
                               <div class="d-md-none d-block mt-4">
                                  <p class="v-p-text">
                                     At HealthBumpa, we believe that everyone deserves access to quality health insurance. That is why we are committed to offering affordable plans that meets your needs and budget.
                                  </p>
                               </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--section three-->
                <div class="v v-3 container-lg px-2 py-5 px-md-0 my-5">
                    <div class="row col-12 align-items-center justify-content-around m-0 gap-4 gap-md-0">
                        <div class="p-0 image col-md-5 position-relative">
                           <div class="pre__image__inner animate__animated animate__backInLeft mb-4 d-md-none ">
                              <div>
                                 <h3 class="fw-bolder"><b>Accessible Care</b></h3>
                              </div>
                           </div>
                           <div class="animate__animated animate__backInRight position-relative">
                               <div class="position-absolute v-ZZZZ d-flex align-items-center">
                                    <div class="v-image-container">
                                        <img class="img-fluid" src="./assets/images/healthicons_coronary-care-unit-outline.png" />
                                    </div>
                                    <span class="v-text">Health care</span>
                               </div>
                              <img src="./assets/images/grandmother-mother-son-taking-selfie-with-digital-tablet.png" class="img-fluid"  alt="HealthBumpa: The Future of Health Insurance is Here" style="border-radius: 15px;"/>
                               <div class="position-absolute v-dot-image" style="top: -5px !important;">
                                   <img class="img-fluid" src="./assets/images/dots-blue.png"/>
                               </div>
                           </div>
                        </div>
                        <div class="p-0 pre__image col-md-5">
                           <div class="pre__image__inner animate__animated animate__backInLeft">
                              <div class="d-none d-md-block">
                                 <h1 class="fw-bolder"><b>Accessible Care</b></h1>
                              </div>
                              <div>
                                 <p class="v-p-text">
                                    With HealthBumpa, you'll never have to worry about navigating complicated insurance processes or dealing with long wait times to see a doctor. We have made it easier to access the care you need and when you need it. We’re available and you can see us anytime
                                 </p>
                              </div>
                           </div>
                        </div>
                     </div>
                </div>
                <!--section four-->
                <div class="v v-2" style="background: #E0F9FF;">
                    <div class="container-lg px-md-0 py-5">
                        <div class="row col-12 align-items-center justify-content-around m-0 gap-4 gap-md-0">
                            <div class="p-0 pre__image col-md-5">
                               <div class="pre__image__inner animate__animated animate__backInLeft">
                                  <div>
                                     <h1 class="fw-bolder"><b>Reliable Support</b></h1>
                                  </div>
                                  <div class="d-none d-md-block">
                                     <p class="v-p-text">
                                         We understand how important it is to have someone you can count on when it comes to protecting your health. We’re with you at every step of your journey. You can always count on us.
                                     </p>
                                  </div>
                               </div>
                            </div>
                            <div class="p-0 image col-md-5">
                                <div class="animate__animated animate__backInRight position-relative">
                                    <div class="position-absolute v-ZZZZ d-flex align-items-center">
                                        <div class="v-image-container">
                                            <img class="img-fluid" src="./assets/images/reject-call.png" />
                                        </div>
                                        <div class="v-bar"></div>
                                        <div class="v-image-container">
                                            <img class="img-fluid" src="./assets/images/accept-call.png" />
                                        </div>
                                    </div>
                                   <img src="./assets/images/call-center.png"  alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" style="border-radius: 15px;"/>
                                   <div class="position-absolute v-dot-image">
                                      <img src="./assets/images/dots-red.png" alt="" class="img-fluid" />
                                  </div>
                                </div>
                                <div class="d-md-none mt-4 col-md-5">
                                    <p class="p-v-text">
                                      We understand how important it is to have someone you can count on when it comes to your health. That's why we're always here to provide you with the support and resources you need, no matter what.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--section five-->
                <div class="container-lg v v-5 px-2 py-5 px-md-0 my-5">
                    <div class="fw-bolder text-center my-3 col-11 col-md-8 mx-auto">
                        <h1 class="fw-semibold"><b>Bring Your Bundle of Joy into the World with Peace of Mind</b></h1>
                    </div>
                    <div class="row col-12 align-items-center justify-content-around mx-0 gap-2 gap-md-4 mt-5">
                        <div class="p-0 image col-md-5 position-relative">
                           <div class="animate__animated animate__backInRight col-10 mx-auto col-md-12 position-relative">
                                <img src="./assets/images/pregnant-woman-and-doctor.png"  alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" style="border-radius:15px;"/>
                                <div class="position-absolute v-dot-image" style="top: 1px;">
                                   <img class="img-fluid" src="./assets/images/dots-blue.png"/>
                                </div>
                           </div>
                        </div>
                        <div class="p-0 pre__image col-md-4">
                           <div class="pre__image__inner animate__animated animate__backInLeft">
                              <div>
                                 <p class="p-v-text">
                                    Pregnancy is an exciting journey, but it can also be overwhelming. That's why HealthBumpa is proud to offer a special insurance plan for expectant mothers. With our comprehensive coverage, you can be rest assured that you and your baby will have access to quality healthcare.
                                 </p>
                              </div>
                              <div class="col-md-10 extra" id="_bIZmxOp6x">
                                 <div class="form-input">
                                    <form method='POST' action='./register.php'>
                                       <button class="submit-btn position-static" style="height: 50px;" type='submit' name='join' >Get Started</button>
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>  
                    </div>
                 </div>
                 
                <div class="v-pre-footer">
                    <div class="container-lg px-2 px-md-4 px-xl-0  my-5">
                        <div class="d-flex flex-column gap-2 text-center align-items-center">
                            <h1 class="v-title col-md-10 mx-auto">Don't Miss Out on Affordable and Reliable Health Coverage for You and Your Loved Ones</h1>
                            <span class="v-subtext">Live life to the fullest with the ones you love. Join the HealthBumpa Movement and become a part of a community of people who are taking control of their well-being. You don’t have  to break a bank to secure your health because we worked out an affordable plan for you Get onboard today</span>
                        </div>
                        <div class="mt-5 pt-3 text-center">
                            <a href="./register.php" class="v-link">Get Started</a>
                        </div>
                    </div>
				</div>
            </div>
        </div>
    </main>
    <!--end of main-->
<?php include './footer.php'; ?>