<?php
ob_start();
session_start();
require("backend/init.php");
if(isset($_SESSION['user_id']) && isset($_SESSION['email'])){
    header('Location:./dashboard/');
    ob_end_flush();
}
					function cleanme($data) {
                        global $connection;
                        $input = $data;
                        // This removes all the HTML tags from a string. This will sanitize the input string, and block any HTML tag from entering into the database.
                        // filter_var($geeks, FILTER_SANITIZE_STRING);
                        $input = filter_var($input, FILTER_SANITIZE_STRING);
                        $input = trim($input, " \t\n\r");
                        // htmlspecialchars() convert the special characters to HTML entities while htmlentities() converts all characters.
                        // Convert the predefined characters "<" (less than) and ">" (greater than) to HTML entities:
                        $input = htmlspecialchars($input, ENT_QUOTES,'UTF-8');
                        // prevent javascript codes, Convert some characters to HTML entities:
                        $input = htmlentities($input, ENT_QUOTES, 'UTF-8');
                        $input = stripslashes(strip_tags($input));
                        $input = mysqli_real_escape_string($connection, $input);
                        return $input;
                    }
                    function check_pass($pass, $storedPass) {
                        $Hash=crypt($pass, $storedPass);
                        if ($Hash===$storedPass) {
                            return(true);
                        } else {
                            return(false);
                        }
                    }
                    // Getting out Pricing Amount
                    $sql_fetch_pricing = "SELECT pricing,track_id FROM plan WHERE status = 1";
                    $result = $connection->query($sql_fetch_pricing);
                    if ($result->num_rows > 0) {
                        $row = $result->fetch_assoc();
                        $pricing = $row['pricing'];
                        $pricing_id = $row['track_id'];
                    }
                    // Check if the login form was submitted
                    if ($_SERVER["REQUEST_METHOD"] == "POST") {
                        // Get the username and password from the form
                        $email = $username = cleanme($_POST["email"]);
                        $password = cleanme($_POST["password"]);
                        $username = "user";
                        $type = "LOGIN";
                        include './insert_tracker.php';
                        
                        $sql = "SELECT * FROM users WHERE `email` = '$email'";
                        $result = $connection->query($sql);
                        $row = mysqli_fetch_array($result);
                    
                        // checking error for email or phone number
                        if($row['email'] != $email){
                            $loginError = "<i class='bx bxs-error-circle'></i> &nbsp; &nbsp; Email is not registered"; 
                        }
                        // checking error for password
                        if($row['email'] == $email && !check_pass($password, $row['password'])){
                            $loginError = "<i class='bx bxs-error-circle'></i> &nbsp;  &nbsp; Password incorrect";
                        }else{
                            
                            if ($row['is_suscribed']){
                                $_SESSION['user_id'] = $row['id'];
                                $_SESSION['email'] = $email;
                                header('Location:./dashboard/');
                                ob_end_flush();
                            }else{
                                $paystack_secret_key = 'sk_live_f68c3175b90e5869c7c228c6b701ef2a87ab0d61'; // Replace with your Paystack secret key
                                //$paystack_secret_key = 'sk_test_980c31fab205c9737fbf42aac5631ca926b99f3c';
                                $url = "https://api.paystack.co/transaction/initialize";

                                  $fields = [
                                    'email' => $email,
                                    'amount' => $pricing,
                                    'plan' => $pricing_id
                                  ];
                                
                                  $fields_string = http_build_query($fields);
                                
                                  //open connection
                                  $ch = curl_init();
                                  
                                  //set the url, number of POST vars, POST data
                                  curl_setopt($ch,CURLOPT_URL, $url);
                                  curl_setopt($ch,CURLOPT_POST, true);
                                  curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);
                                  curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                                    "Authorization: Bearer $paystack_secret_key",
                                    "Cache-Control: no-cache",
                                  ));
                                  
                                  //So that curl_exec returns the contents of the cURL; rather than echoing it
                                  curl_setopt($ch,CURLOPT_RETURNTRANSFER, true); 
                                  
                                  //execute post
                                  $result = curl_exec($ch);
                                  header('Location: '.json_decode($result,true)["data"]["authorization_url"]);
                                  ob_end_flush();
                            }
                            
                            
                        }
                    }
					?>
<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa</title>    
        <meta name="description"
            content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        <meta property="og:description" content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta property="og:url" content="https://healthbumpa.com/">
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description"  content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta name="twitter:label1" content="Written by">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" />
        <link rel="stylesheet" href="./assets/styles/auth.css?ver=0.31233777871"/>
    	<style>
    	    .field-icon {
                float: right;
                margin-right: 17px;
                margin-top: -42px;
                font-size: 23px;
                position: relative;
                z-index: 2;
                cursor: pointer;
            }
            .v-links a{
                color: #25CCF7;
                font-weight: 500;
                font-size: .9rem;
            }
            .v-links p{
                font-size: .93rem;
            }
    	</style>
</head>
<body>
  <div>
	<section class="mt-5 log" style="margin-top: 30px !important;">
		<div class="container">
			<div class="row mt-5">
				<form method="POST" action="./login.php" class="col-lg-5 offset-lg-3">
				    <a href="https://healthbumpa.com/" class="d-flex justify-content-center text-center mx-auto mb-4">
					    <img src="./assets/images/healthbumpa-logo.svg"  class="img " style="width: auto; height: 35px; margin-bottom: 20px;">
					</a>
					<h3 class="mb-3 text-center mx-auto">Log in to your Account</h3>
					
					<p class="text-center">Welcome back, please input your correct details </p>
					<?php
                        // Display login error if it exists
                        if (isset($loginError)) {
                            echo '<div class="alert my-3 alert-danger" role="alert">' . $loginError . '</div>';
                        }
                        ?>
                    <div class="col-md-12">
                    <input type="email" name="email" class="form-control" placeholder="Email" required>
                    <br />
					<input type="password" name="password" class="form-control" id="psw-input" placeholder="Password" required>
    			    <span toggle="#psw-input" class="bi bi-eye-slash-fill field-icon toggle-password"></span>
                    </div>
					<br>  
					<button class="btn w-100" type="submit">Login</button>
    				<div class="text-center v-links mt-4">
				    	<p class="mt-2">Don't have an account?<a href="./register.php" class="text"> Sign up</a></p>
    					<p class="mt-2">Forgot password?<a href="./forgot-password.php" class="text"> Click here.</a></p>
    				</div>
				</form>
			</div>
		</div>
	</section>
	</div>	

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js?ver=1.21"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
 <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<script>
    $(".toggle-password").click(function() {
      $(this).toggleClass("bi-eye-fill bi-eye-slash-fill");
      var input = $($(this).attr("toggle"));
      if (input.attr("type") == "password") {
        input.attr("type", "text");
      } else {
        input.attr("type", "password");
      }
    });
</script>
</body>
</html>