<style>
    
.pricing-cards .v-card-title{
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: capitalize;
    
    & + p{
        font-size: .8rem;
    }
}
.pricing-cards p{
    font-size: 14px;
    margin-bottom:5px;
    font-family: var(--font-family2) !important;
}

.pricing-cards button{
    border: 1px solid transparent;
    min-height: 3.2rem;
    color: white;
    width: 100%;
    margin-top: 1.95rem;
    font-weight: 700;
    lette-spacing: .6px
    font-size: 1.02rem;
    border-radius: .3rem;
    text-align: center;
    
    &.price-button-blue{
        background-color: #25CCF7;
        border-color: #25ccf7;
    }
    &.price-button{
        background-color: #D6D6D6;
        border-color: #D6D6D6;
        color: #6E8597;
;
    }
}

.initial-list{
    margin-top: 1rem;
}
.pricing-cards{
    border: 0.5px solid #D6D6D6;
    border-radius:10px;
    padding: 1.5rem 1rem;

    @media all and (min-width: 600px){
        & {
            padding: 1.5rem 1.25rem;
        }
    }
}
.actual-price{
    font-size: 32px;
}
.year{
    font-size: 10px;
}
.price{
    font-size: 30px;
    color: #a09e9e;
}
:is(.price, .actual-price){
    font-weight: 700;
}
.mini-list{
    list-style-type:disc;
    padding-left: 22px;
    
    & li{
        font-size: .85rem;
    }
}
.diff{
    padding-left:20px;
    list-style-type:disc;
    & li{
        font-size: .86rem;
    }
}
.bi-check-circle{
    margin-right:5px;
}
.card-features-title{
    font-weight: 600;
    margin-top: 20px;
    font-size: 1.06rem;
}
.v-each-feature-header{
    display: flex;
    align-items: center;
    gap: .5rem;
    
    & .each-feature-title{
        font-weight: 600;
        font-size: 1.08rem;
    }
}
.v-special-card{
    & .pricing-cards{
        box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
        height: max-content;
    }
}
#v-accordion{
    margin-block: 5rem 3rem;
    
    & .accordion{
        display: flex;
        flex-direction: column;
        row-gap: 1.2rem
    }
    
    & .accordion-item{
        border-top: 1px solid #D1D1D1;
        border-radius: 6px;
        overflow: hidden;
    }
    
    & .accordion-button:not(.collapsed) {
        background-color: transparent;
        box-shadow: none;
    }
    & .accordion-button{
        font-weight: 600;
        font-size: 1.05rem;
        color: unset;
        padding-block: 1.4rem
    }
    & .v-accordion-text{
        font-size: .9rem;
        opacity: 0.8;
    }
    & .accordion-button:focus{
        box-shadow: none;
    }
    & .accordion-button::after{
        background-image: url('data:image/svg+xml,%3Csvg xmlns="http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg" width="24" height="24" viewBox="0 0 24 24"%3E%3Cpath fill="none" stroke="currentColor" stroke-linecap="round" stroke-width="2" d="M12 20v-8m0 0V4m0 8h8m-8 0H4"%2F%3E%3C%2Fsvg%3E')
    }

    & .accordion-button:not(.collapsed)::after{
        background-image: url('data:image/svg+xml,%3Csvg xmlns="http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg" width="24" height="24" viewBox="0 0 24 24"%3E%3Cpath fill="currentColor" d="M20 13H4a1 1 0 0 1 0-2h16a1 1 0 0 1 0 2Z"%2F%3E%3C%2Fsvg%3E');
    }
}
</style>
<?php include './header.php'; ?>
<style>
    .mobile{
        display:none;
    }
    @media all and (max-width:550px){
        .mobile{
            display:block;
        }
        .desktop{
            display:none;
        }
    }
</style>
			<!--end of header-->
			<main>
				<div class="main__inner px-0">
				     <div class="container-md px-2">
				         <h1 class="mb-5 text-center mx-auto" style="max-width:800px;">Affordable Health Insurance Plans for Every Budget</h1>
                        <div class="pricing-grid row col-12 m-0 align-items-stretch justify-space-around mt-5 px-md-3 desktop">
                                <div class="my-4 col-lg-4 col-md-6 p-1">
                                    <div class="pricing-cards">
                                        <h3 class="v-card-title">Bumpa enterprise</h3>
                                    <p>For individuals starting out with basic Healthplan</p>
                                    <h2 class="price">₦*****</h2>
                                    <button class="price-button">Coming soon</button>
                                    <h4 class="card-features-title">Basic features</h4>
                                    <ul class="initial-list">
                                        <li class="main-list-head"> 
                                        <span class="v-each-feature-header">
                                            <i class="bi bi-check-circle"></i>
                                            <span class="each-feature-title">In-patient coverage</span>
                                        </span>
                                          <ul class="mini-list">
                                            <li>In-patient limit: N450,000</li>
                                            <li>Accidents and emergencies: covered up to N80,000</li>
                                            <li>Accommodation (including feeding): General ward (15 days per annum)</li>
                                            <li>In-Patient Medication: Covered up to in-patient limit</li>
                                            <li>Surgeries: Covered up to N200,000</li>    
                                          </ul>
                                        </li>
                                    </ul>
                                    <ul class="initial-list">
                                        <li class="main-list-head">
                                           <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title">Out-patient coverage</span>
                                            </span>
                                            <ul class="mini-list">
                                                <li>Out-Patient Limit: N250,000</li>
                                                <li>Consultations:
                                                    <ul class="diff">
                                                    <li>Telemedicine: Unlimited 24/7</li>
                                                    <li>General Consultations at Hospitals: Covered up to outpatient limit</li>
                                                </ul>
                                            </li>
                                                <li>Outpatient Prescription Medicines: Covered up to N80,000</li>
                                                <li>Diagnostic:
                                                    <ul class="diff">    
                                                <li>Basic Diagnostic Tests</li></ul>
                                                </li>   
                                            </ul>
                                        </li>
                                    </ul>
                                     <ul class="initial-list">
                                        <li class="main-list-head"> 
                                            <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title"> Maternity & Neo-natal Services</span>
                                            </span>
                                            <ul class="mini-list">
                                                <li> Antenatal Care + Normal Delivery+ Postnatal Care (6 Weeks) + Neonatal Care Services (Male circumcision, Ear piercing): N70,000</li>
                                                <li>Neonatal Care Services (Male circumcision, Ear piercing)</li>
                                            </ul>
                                        </li>
                                     </ul>  
                                   <ul class="initial-list">
                                    <li class="main-list-head">
                                        <span class="v-each-feature-header">
                                            <i class="bi bi-check-circle"></i>
                                            <span class="each-feature-title">Immunizations</span>
                                        </span>
                                    </li>
                                   </ul>   
                                   <ul class="initial-list">
                                    <li class="main-list-head">
                                        <span class="v-each-feature-header">
                                            <i class="bi bi-check-circle"></i>
                                            <span class="each-feature-title">Additional services</span>
                                        </span>
                                    </li>
                                   </ul> 
                                   
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-6 p-1 v-special-card">
                                    <div class="pricing-cards">
                                        <h3 class="v-card-title">Bumpa basic</h3>
                                        <p>For individuals starting out with basic Healthplan</p>
                                        <h2 class="actual-price">₦12,000<span class="year">/year</span></h2>
                                        <button class="price-button-blue" onClick="window.location.href='./login.php'">Subscribe</button>
                                        <h4 class="card-features-title">Basic features</h4>
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title">In-patient coverage</span>
                                                </span>
                                              <ul class="mini-list">
                                                <li> Limit: N150,000</li>
                                                <li>Accidents and emergencies: covered up to N80,000</li>
                                                <li>Accommodation (including feeding): General ward (5 days per annum)</li>
                                                <li>In-Patient Medication: Covered up to limit</li>
                                                <li>Surgeries: Covered up to N50,000</li>    
                                              </ul>
                                            </li>
                                        </ul>
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title">Out-patient coverages</span>
                                                </span>
                                                <ul class="mini-list">
                                                    <li>Limit: N150,000</li>
                                                    <li>Consultations:
                                                        <ul class="diff">
                                                            <li>Telemedicine: Unlimited 24/7</li>
                                                            <li>General Consultations at Hospitals: Covered up to limit</li>
                                                        </ul>
                                                    </li>
                                                    <li>Outpatient Prescription Medicines: Covered up to N50,000</li>
                                                    <li>Basic Diagnostic Tests:covered to a limit</li>
                                                </ul>
                                            </li>
                                        </ul>
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title"> Immunizations(NPI) for 0-5 years</span>
                                                </span>
                                                <ul class="mini-list">
                                                    <li>BCG, Measles, DPT, Oral Polio, Vitamin A Supplementation, Pentavalent Vaccine</li>
                                                </ul>
                                            </li>
                                       </ul>    
                                    </div>
                                </div>
                                <div class="my-4 col-lg-4 col-md-6 p-1">
                                    <div class="pricing-cards">
                                        <h3 class="v-card-title">Bumpa Family</h3>
                                    <p>For individuals starting out with basic Healthplan</p>
                                    <h2 class="price">₦*****</h2>
                                    <button class="price-button">Coming soon</button>
                                    <h4 class="card-features-title">Basic features</h4>
                                    <ul class="initial-list">
                                        <li class="main-list-head">
                                            <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title">In-patient coverage</span>
                                            </span>
                                          <ul class="mini-list">
                                            <li>in-patient limit: N350,000</li>
                                            <li>Accidents and emergencies: covered up to N80,000</li>
                                            <li>Accommodation (including feeding): General ward (15 days per annum)</li>
                                            <li>In-Patient Medication: Covered up to in-patient limit</li>
                                            <li>Surgeries: Covered up to N150,000</li>    
                                          </ul>
                                        </li>
                                    </ul>
                                    <ul class="initial-list">
                                        <li class="main-list-head">
                                            <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title">Out-patient coverage</span>
                                            </span>
                                            <ul class="mini-list">
                                                <li>Out-Patient Limit: N100,000</li>
                                                <li>Consultations:
                                                    <ul class="diff">
                                                    <li>Telemedicine: Unlimited 24/7</li>
                                                    <li>General Consultations at Hospitals: Covered up to outpatient limit</li>
                                                </ul>
                                            </li>
                                                <li>Outpatient Prescription Medicines: Covered up to N50,000</li>
                                                <li>Diagnostic:
                                                    <ul class="diff">    
                                                <li>Basic Diagnostic Tests</li></ul>
                                                </li>   
                                            </ul>
                                        </li>
                                        </ul> 
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title">Immunizations(NPI) for 0-5 years</span>
                                                </span>
                                                <ul class="mini-list">
                                                    <li>BCG, Measles, DPT, Oral Polio, Vitamin A Supplementation, Pentavalent Vaccine</li>
                                                </ul>
                                            </li>
                                        </ul>     
                                        <ul class="initial-list">
                                            <li class="main-list-head"><i class="bi bi-check-circle"></i> Additional services</li>
                                         </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="pricing-grid row col-12 m-0 align-items-stretch justify-space-around mt-5 px-md-3 mobile">
                               
                                <div class="col-lg-4 col-md-6 p-1 v-special-card">
                                    <div class="pricing-cards">
                                        <h3 class="v-card-title">Bumpa basic</h3>
                                        <p>For individuals starting out with basic Healthplan</p>
                                        <h2 class="actual-price">₦12,000<span class="year">/year</span></h2>
                                        <button class="price-button-blue" onClick="window.location.href='./register.php'">Subscribe</button>
                                        <h4 class="card-features-title">Basic features</h4>
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title">In-patient coverage</span>
                                                </span>
                                              <ul class="mini-list">
                                                <li> Limit: N150,000</li>
                                                <li>Accidents and emergencies: covered up to N80,000</li>
                                                <li>Accommodation (including feeding): General ward (5 days per annum)</li>
                                                <li>In-Patient Medication: Covered up to limit</li>
                                                <li>Surgeries: Covered up to N50,000</li>    
                                              </ul>
                                            </li>
                                        </ul>
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title">Out-patient coverages</span>
                                                </span>
                                                <ul class="mini-list">
                                                    <li>Limit: N150,000</li>
                                                    <li>Consultations:
                                                        <ul class="diff">
                                                            <li>Telemedicine: Unlimited 24/7</li>
                                                            <li>General Consultations at Hospitals: Covered up to limit</li>
                                                        </ul>
                                                    </li>
                                                    <li>Outpatient Prescription Medicines: Covered up to N50,000</li>
                                                    <li>Basic Diagnostic Tests:covered to a limit</li>
                                                </ul>
                                            </li>
                                        </ul>
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title"> Immunizations(NPI) for 0-5 years</span>
                                                </span>
                                                <ul class="mini-list">
                                                    <li>BCG, Measles, DPT, Oral Polio, Vitamin A Supplementation, Pentavalent Vaccine</li>
                                                </ul>
                                            </li>
                                       </ul>    
                                    </div>
                                </div>
                                <div class="my-4 col-lg-4 col-md-6 p-1">
                                    <div class="pricing-cards">
                                        <h3 class="v-card-title">Bumpa Family</h3>
                                    <p>For individuals starting out with basic Healthplan</p>
                                    <h2 class="price">₦*****</h2>
                                    <button class="price-button">Coming soon</button>
                                    <h4 class="card-features-title">Basic features</h4>
                                    <ul class="initial-list">
                                        <li class="main-list-head">
                                            <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title">In-patient coverage</span>
                                            </span>
                                          <ul class="mini-list">
                                            <li>in-patient limit: N350,000</li>
                                            <li>Accidents and emergencies: covered up to N80,000</li>
                                            <li>Accommodation (including feeding): General ward (15 days per annum)</li>
                                            <li>In-Patient Medication: Covered up to in-patient limit</li>
                                            <li>Surgeries: Covered up to N150,000</li>    
                                          </ul>
                                        </li>
                                    </ul>
                                    <ul class="initial-list">
                                        <li class="main-list-head">
                                            <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title">Out-patient coverage</span>
                                            </span>
                                            <ul class="mini-list">
                                                <li>Out-Patient Limit: N100,000</li>
                                                <li>Consultations:
                                                    <ul class="diff">
                                                    <li>Telemedicine: Unlimited 24/7</li>
                                                    <li>General Consultations at Hospitals: Covered up to outpatient limit</li>
                                                </ul>
                                            </li>
                                                <li>Outpatient Prescription Medicines: Covered up to N50,000</li>
                                                <li>Diagnostic:
                                                    <ul class="diff">    
                                                <li>Basic Diagnostic Tests</li></ul>
                                                </li>   
                                            </ul>
                                        </li>
                                        </ul> 
                                        <ul class="initial-list">
                                            <li class="main-list-head">
                                                <span class="v-each-feature-header">
                                                    <i class="bi bi-check-circle"></i>
                                                    <span class="each-feature-title">Immunizations(NPI) for 0-5 years</span>
                                                </span>
                                                <ul class="mini-list">
                                                    <li>BCG, Measles, DPT, Oral Polio, Vitamin A Supplementation, Pentavalent Vaccine</li>
                                                </ul>
                                            </li>
                                        </ul>     
                                        <ul class="initial-list">
                                            <li class="main-list-head"><i class="bi bi-check-circle"></i> Additional services</li>
                                         </ul>
                                    </div>
                                </div>
                                 <div class="my-4 col-lg-4 col-md-6 p-1">
                                    <div class="pricing-cards">
                                        <h3 class="v-card-title">Bumpa enterprise</h3>
                                    <p>For individuals starting out with basic Healthplan</p>
                                    <h2 class="price">₦******</h2>
                                    <button class="price-button">Coming soon</button>
                                    <h4 class="card-features-title">Basic features</h4>
                                    <ul class="initial-list">
                                        <li class="main-list-head"> 
                                        <span class="v-each-feature-header">
                                            <i class="bi bi-check-circle"></i>
                                            <span class="each-feature-title">In-patient coverage</span>
                                        </span>
                                          <ul class="mini-list">
                                            <li>In-patient limit: N450,000</li>
                                            <li>Accidents and emergencies: covered up to N80,000</li>
                                            <li>Accommodation (including feeding): General ward (15 days per annum)</li>
                                            <li>In-Patient Medication: Covered up to in-patient limit</li>
                                            <li>Surgeries: Covered up to N200,000</li>    
                                          </ul>
                                        </li>
                                    </ul>
                                    <ul class="initial-list">
                                        <li class="main-list-head">
                                           <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title">Out-patient coverage</span>
                                            </span>
                                            <ul class="mini-list">
                                                <li>Out-Patient Limit: N250,000</li>
                                                <li>Consultations:
                                                    <ul class="diff">
                                                    <li>Telemedicine: Unlimited 24/7</li>
                                                    <li>General Consultations at Hospitals: Covered up to outpatient limit</li>
                                                </ul>
                                            </li>
                                                <li>Outpatient Prescription Medicines: Covered up to N80,000</li>
                                                <li>Diagnostic:
                                                    <ul class="diff">    
                                                <li>Basic Diagnostic Tests</li></ul>
                                                </li>   
                                            </ul>
                                        </li>
                                    </ul>
                                     <ul class="initial-list">
                                        <li class="main-list-head"> 
                                            <span class="v-each-feature-header">
                                                <i class="bi bi-check-circle"></i>
                                                <span class="each-feature-title"> Maternity & Neo-natal Services</span>
                                            </span>
                                            <ul class="mini-list">
                                                <li> Antenatal Care + Normal Delivery+ Postnatal Care (6 Weeks) + Neonatal Care Services (Male circumcision, Ear piercing): N70,000</li>
                                                <li>Neonatal Care Services (Male circumcision, Ear piercing)</li>
                                            </ul>
                                        </li>
                                     </ul>  
                                   <ul class="initial-list">
                                    <li class="main-list-head">
                                        <span class="v-each-feature-header">
                                            <i class="bi bi-check-circle"></i>
                                            <span class="each-feature-title">Immunizations</span>
                                        </span>
                                    </li>
                                   </ul>   
                                   <ul class="initial-list">
                                    <li class="main-list-head">
                                        <span class="v-each-feature-header">
                                            <i class="bi bi-check-circle"></i>
                                            <span class="each-feature-title">Additional services</span>
                                        </span>
                                    </li>
                                   </ul> 
                                   
                                    </div>
                                </div>
                            </div>
                        <div id="faq">
                            <section id="v-accordion" class="col-md-10 col-lg-9 mx-auto">
                            <div class="accordion" id="accordionExample">
                              <div class="accordion-item">
                                <h2 class="accordion-header" id="headingOne">
                                  <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    How do I pay for Premium plan?
                                  </button>
                                </h2>
                                <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                  <div class="accordion-body">
                                      <span class="v-accordion-text">
                                          After you enroll, your insurer may contact you by phone, mail, or email with payment instructions. Health insurance companies handle payments differently, so follow their instructions closely. Take careful note of the date the payment is due, and be sure to make your payment by then. If you don’t meet the due date, you could lose your health coverage.
                                      </span>
                                  </div>
                                </div>
                              </div>
                              <div class="accordion-item">
                                <h2 class="accordion-header" id="headingTwo">
                                  <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    How do I pay for Premium plan?
                                  </button>
                                </h2>
                                <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                                  <div class="accordion-body">
                                      <span class="v-accordion-text">
                                          After you enroll, your insurer may contact you by phone, mail, or email with payment instructions. Health insurance companies handle payments differently, so follow their instructions closely. Take careful note of the date the payment is due, and be sure to make your payment by then. If you don’t meet the due date, you could lose your health coverage.
                                      </span>
                                  </div>
                                </div>
                              </div>
                              <div class="accordion-item">
                                <h2 class="accordion-header" id="headingThree">
                                  <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                    How do I pay for Premium plan?
                                  </button>
                                </h2>
                                <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                                  <div class="accordion-body">
                                      <span class="v-accordion-text">
                                          After you enroll, your insurer may contact you by phone, mail, or email with payment instructions. Health insurance companies handle payments differently, so follow their instructions closely. Take careful note of the date the payment is due, and be sure to make your payment by then. If you don’t meet the due date, you could lose your health coverage.
                                      </span>
                                  </div>
                                </div>
                              </div>
                              <div class="accordion-item">
                                <h2 class="accordion-header" id="headingFour">
                                  <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                    How do I pay for Premium plan?
                                  </button>
                                </h2>
                                <div id="collapseFour" class="accordion-collapse collapse" aria-labelledby="headingFour" data-bs-parent="#accordionExample">
                                  <div class="accordion-body">
                                      <span class="v-accordion-text">
                                          After you enroll, your insurer may contact you by phone, mail, or email with payment instructions. Health insurance companies handle payments differently, so follow their instructions closely. Take careful note of the date the payment is due, and be sure to make your payment by then. If you don’t meet the due date, you could lose your health coverage.
                                      </span>
                                  </div>
                                </div>
                              </div>
                            </div>
                        </section>
                        </div> 
                        
                    </div>
				</div>
				
			</main>
			<!--end of main-->
			<br />
<?php include './footer.php'; ?>