
 <?php
    require("backend/init.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa</title>    
        <meta name="description" content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        <meta property="og:description" content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta property="og:url" content="https://healthbumpa.com/" >
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description" content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" />
        <link rel="stylesheet" href="./assets/styles/auth.css?ver=0.312337779"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css">
    	<style>
    	    .field-icon {
                float: right;
                margin-right: 17px;
                margin-top: -72px;
                font-size: 23px;
                position: relative;
                z-index: 2;
                cursor: pointer;
            }
            #progressbar li:before {
                color: #333;
                background: #d7d7d7;
            }#progressbar li:after {
                background: #e2e2e2;
            }
    	</style>
</head>
<body>	
  <div>
   <form id="msform" onsubmit="false">
      <div class="logo text-start" style="display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap;">
         <a href="https://healthbumpa.com/" class="d-flex text-center mx-auto">
					<img src="./assets/images/healthbumpa-logo.svg"  class="img " style="width: auto;
					height: 30px;
					margin-bottom: 20px;">
		 </a>
      </div>
      <ul id="progressbar">
            <li class="active"></li>
            <li></li>
            <li></li>
         </ul>
      <br>
      <h2 style="text-align: center; font-weight: 600; font-size: 19px;">Creating Your Account</h2>
      <p class="mb-0" style="text-align: center;">Enter your name as it appears on your government-issued ID (for easy identity verification)</p>
      <fieldset>
         <h2 class="fs-title">Personal Details</h2>
         <h3 class="fs-subtitle">Please make sure the details are correct as they will be used to verify your identity.</h3>
         <input type="text" name="fname" placeholder="First Name" required>
         <input type="text" name="lname" placeholder="Last Name" required>
         <input type="text" name="oname" placeholder="Other Name" required>
          <select name="gender" required style="margin-bottom:20px;">
             <option value="Male">Male</option>
             <option value="Female">Female</option>
         </select>
         <label><b> <small>Date of Birth</small></b></label>
         <input type="date" name="dob" required />
         <input type="text" name="email" placeholder="Email" required>
         <input type="button" name="next" class="next action-button" value="Next">
      </fieldset>
      <fieldset>
         <label>Add a recent passport photograph</label>
         <img src="https://katora-html.themes-coder.net/images/miscellaneous/avatar.jpg" id="imagePreview" class="my-2" width="180px"/>
         <input type="file" name="image" id="imageInput" accept=".jpg, .jpeg, .png" required>
         <input type="text" name="address" placeholder="Residental Address" required>
         <input type="text" name="phone" placeholder="Phone Number" required>
         <input type="button" name="previous" class="previous bigger action-button" value="Previous"><input type="button" name="next" class="next action-button" value="Next">
      </fieldset>
      <fieldset>
         <label>Password</label>
         <input type="password" name="password" id="psw-input" placeholder="Password" required>
         <span toggle="#psw-input" class="bi bi-eye-slash-fill field-icon toggle-password"></span>
         <label>Confirm Password</label>
         <input type="password" name="confirm-password" id="psw-input1" placeholder="Confirm Password" required>
         <span toggle="#psw-input1" class="bi bi-eye-slash-fill field-icon toggle-password"></span>
         <br><input type="button" name="previous" class="previous action-button" value="Previous">
         <input type="submit" name="next" class="action-button" value="Submit">
      </fieldset>
      <p class="mt-3" style="text-align: left;">Already have a HealthBumpa account?<a href="login.php" class="text"> Sign in Instead.</a></p>
   </form>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js?ver=1.21"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
 <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<script>
$(".toggle-password").click(function() {
  $(this).toggleClass("bi-eye-fill bi-eye-slash-fill");
  var input = $($(this).attr("toggle"));
  if (input.attr("type") == "password") {
    input.attr("type", "text");
  } else {
    input.attr("type", "password");
  }
});
document.addEventListener('DOMContentLoaded', function () {
  const imageInput = document.getElementById('imageInput');
  const imagePreview = document.getElementById('imagePreview');
  imageInput.addEventListener('change', function () {
    const file = imageInput.files[0];
    if (file) {
      const reader = new FileReader();
      reader.addEventListener('load', function () {
        const imageUrl = reader.result;
        imagePreview.setAttribute('src', imageUrl);
      });
      reader.readAsDataURL(file);
    } else {
      imagePreview.innerHTML = ''; // Clear the preview if no file selected
    }
  });
});
</script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js "></script>
    <script>
    $(document).ready(function () {
      const form = $('#msform');
      let animating = false;

      $(document).on("click", ".next", function () {
        if (animating) return false;
        animating = true;

        // Check if all required fields are filled
        let allFieldsFilled = true;
        const fields = $(this).closest('fieldset').find('input[required], select[required]');
        fields.each(function () {
          if ($(this).val().trim() === '') {
            allFieldsFilled = false;
            return false; // Exit the loop if any field is empty
          }
        });

        if (!allFieldsFilled) {
          animating = false;
          swal("Important Notice", "Please fill out all the required fields before proceeding!", "error");
          return false;
        }

        const current_fs = $(this).parent();
        const next_fs = $(this).parent().next();

        // Update progress bar
        $("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");

        // Show the next fieldset
        next_fs.show();

        // Hide the current fieldset with style
        current_fs.animate(
          { opacity: 0 },
          {
            step: function (now, mx) {
              const scale = 1 - (1 - now) * 0.2;
              const left = now * 50 + "%";
              const opacity = 1 - now;
              current_fs.css({ transform: "scale(" + scale + ")", position: "absolute" });
              next_fs.css({ left: left, opacity: opacity });
            },
            duration: 800,
            complete: function () {
              current_fs.hide();
              animating = false;
            },
            easing: "easeInOutBack"
          }
        );
      });

      $(document).on("click", ".previous", function () {
        if (animating) return false;
        animating = true;

        const current_fs = $(this).parent();
        const previous_fs = $(this).parent().prev();

        // Update progress bar
        $("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");

        // Show the previous fieldset
        previous_fs.show();

        // Hide the current fieldset with style
        current_fs.animate(
          { opacity: 0 },
          {
            step: function (now, mx) {
              const scale = 0.8 + (1 - now) * 0.2;
              const left = (1 - now) * 50 + "%";
              const opacity = 1 - now;
              current_fs.css({ left: left });
              previous_fs.css({ transform: "scale(" + scale + ")", opacity: opacity });
            },
            duration: 800,
            complete: function () {
              current_fs.hide();
              animating = false;
            },
            easing: "easeInOutBack"
          }
        );
      });

      // Prevent form submission on hitting Enter key
      form.on('keypress', function (e) {
        if (e.keyCode === 13) {
          e.preventDefault();
        }
      });
    });
    $(document).ready(function () {
      $("#msform").submit(function (event) {
        event.preventDefault(); // Prevent form submission, so we can handle it via AJAX
        // Create a FormData object and append form data to it
        const formData = new FormData(this);
        $.ajax({
          type: "POST",
          url: "./backend/auth/register.php", // Replace this with your server-side endpoint URL
          data: formData,
          processData: false, // Prevent jQuery from processing the data
          contentType: false, // Let the browser set the content type automatically
          success: function (response) {
            // Handle successful response from the server here
            let res = JSON.parse(response);
            if (res.status){
                let url = res.redirect_url;
                swal(res.message, "Redirecting to payment...", "success");
                window.location.href = url;
            }else{
                let data = res.errors ?? res.errors[0];
                console.log(data);
                swal("Error", data, "error");
            }
          },
          error: function (xhr, status, error) {
            console.error("Error occurred:", error);
          }
        });
      });
    });
    </script>
</body>
</html>