
<?php
    ob_start();
    require("backend/init.php");
    ini_set( 'display_errors', 1 );
    error_reporting( E_ALL );
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Health Bumpa - Your Health Deserves The Best</title>    
        <meta name="description"
            content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Health Bumpa - Your Health Deserves The Best">
        <meta property="og:description" content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta property="og:url" content="https://healthbumpa.com/">
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Health Bumpa - Your Health Deserves The Best">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description"  content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="twitter:label1" content="Written by">
        <meta name="twitter:data1" content="Okeke Johnpaul">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="assets/css/main.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
		<link rel="stylesheet" href="./assets/styles/index.css?ver=0.313534" />
	</head>
	<style>
	    	:is(.outer-container, .wrapper) {
			align-items: center;
			justify-content: center;
		}
		.svg-wrap svg {
			font-size: 3.5rem;
			color: #ff4266;
		}
		.card-inner {
			box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
			padding: 3rem 2rem;
			border-radius: 2rem;
		}
		.card-inner span {
			font-size: 0.9rem;
		}
		.number-tag h2 {
			color: #1e163f;
			font-size: 3rem;
		}
		.card-inner .share {
			background-color: #ff4266;
			-webkit-transition: 280ms ease-in-out;
			-moz-transition: 280ms ease-in-out;
			-ms-transition: 280ms ease-in-out;
			-o-transition: 280ms ease-in-out;
			transition: 280ms ease-in-out;
			color: #fff;
			border-radius: 6px;
			display: flex;
			align-items: center;
			justify-content: center;
			font-size: 0.88rem;
			border: none;
			padding: 0.66rem 1.4rem;
			letter-spacing: 0.3px;
			margin-top: 10px;
		}
		@media (hover: hover) {
			.card-inner .share:hover {
				background-color: #eb3d5d;
			}
		}
						    @media all and (max-width:567px){
						        .fw-bolder{
						            text-align:center;
						        }
						        .main__inner .pre__image > div:has(p) p {
                                    text-align:center;
                                }
                                .main__inner #_bIZmxOp6x .submit-btn {
                                    margin: auto;
                                    
                                }
						    }
						    .submit-btn{
						        font-family: var(--font-family2) !important;
                                letter-spacing: 1px !important;
						    }.social{
						        width: 30px;
                                height: 30px;
                                background: #25CBF6;
                                display: flex;
                                align-items: center;
                                justify-content: center;
                                border-radius: 50%;
                                color: white;
						    }footer * {
                                color: #211640;
                                font-family: var(--font-family2);
                            }
						</style>
	<body id="app">
		<div class="wrapper">
			<!--header-->
			<div class="header__inner">
				<nav class="container">
					<header class="py-4 d-flex align-items-center justify-content-between">
						<a href="./" class="logo">
							<img src="./assets/images/healthbumpa-logo.svg" alt="" class="img-fluid" />
						</a>
						<div class="flex align-items-center gap-2 links">
							<a href="./" class="get-access" style="    border: 1px solid #ff4266;
                                font-family: var(--font-family2);
                                letter-spacing: 1px;
                                background-color: transparent;
                                color: #ff4266;"> Back</a>
						</div>
					</header>
				</nav>
			</div>
			<!--end of header-->
            
									
										
			<main>
				<!--main-->
				<div class="main__inner">
					<div class="container p-0">
				<div class="col-md-8 mx-auto outer-container">
					<div class="card-inner d-flex flex-column gap-1 align-items-center">
						<div class="svg-wrap">
							<svg
								xmlns="http://www.w3.org/2000/svg"
								width="1em"
								height="1em"
								preserveAspectRatio="xMidYMid meet"
								viewBox="0 0 256 256">
								<path
									fill="currentColor"
									d="M128 24a104 104 0 1 0 104 104A104.2 104.2 0 0 0 128 24Zm49.5 85.8l-58.6 56a8.1 8.1 0 0 1-5.6 2.2a7.7 7.7 0 0 1-5.5-2.2l-29.3-28a8 8 0 1 1 11-11.6l23.8 22.7l53.2-50.7a8 8 0 0 1 11 11.6Z" />
							</svg>
							
						</div>
							<?php
                                        
                                            function cleanme($data) {
                                                global $conn;
                                                $input = $data;
                                                // This removes all the HTML tags from a string. This will sanitize the input string, and block any HTML tag from entering into the database.
                                                // filter_var($geeks, FILTER_SANITIZE_STRING);
                                                $input = filter_var($input, FILTER_SANITIZE_STRING);
                                                $input = trim($input, " \t\n\r");
                                                // htmlspecialchars() convert the special characters to HTML entities while htmlentities() converts all characters.
                                                // Convert the predefined characters "<" (less than) and ">" (greater than) to HTML entities:
                                                $input = htmlspecialchars($input, ENT_QUOTES,'UTF-8');
                                                // prevent javascript codes, Convert some characters to HTML entities:
                                                $input = htmlentities($input, ENT_QUOTES, 'UTF-8');
                                                $input = stripslashes(strip_tags($input));
                                                $input = mysqli_real_escape_string($conn, $input);
                                                return $input;
                                            }
                    
                                            $first_name = $last_name = $email = "";
                                            
                                            if ($_SERVER["REQUEST_METHOD"] == "POST") {
                                              
                                              // Validate first name
                                              if (empty($_POST["first_name"])) {
                                                header('Location: ./waitlist?err=Please enter your first name.');
                                                ob_end_flush();
                                              } else {
                                                $first_name = cleanme($_POST["first_name"]);
                                              }
                                              
                                              // Validate last name
                                              if (empty($_POST["last_name"])) {
                                                  header('Location: ./waitlist?err=Please enter your last name.');
                                                  ob_end_flush();
                                              } else {
                                                $last_name = cleanme($_POST["last_name"]);
                                              }
                                              
                                              // Validate email
                                              if (empty($_POST["email"])) {
                                                  
                                                    header('Location: ./waitlist?err=Please enter your email.');
                                                    ob_end_flush();
                                              } 
                                              else {
                                                $email = cleanme($_POST['email']);
                                                // Check if email is already registered
                                                // Connect to the database
                                                $query = "SELECT * FROM waitlist WHERE email='$email'";
                                                $result = mysqli_query($conn, $query);
                                                if (mysqli_num_rows($result) > 0) {
                                                      $row = mysqli_fetch_assoc($result);
                                                      $user_id =  $row["id"];
                                                      if (strlen($user_id) == 1){
                                                          $user_id = "00".$user_id;
                                                      }
                                                      else if (strlen($user_id) == 2){
                                                          $user_id = "0".$user_id;
                                                      }
                                                      else{
                                                          $user_id;
                                                      }
                                                      echo "<span class='text-success fw-bold'>You are already subscribed</span>";
                                                      
                                                }
                                                else{
                                                    $query = "INSERT INTO waitlist (first_name, last_name, email) VALUES ('$first_name', '$last_name', '$email')";
                                                    if (mysqli_query($conn, $query)) {
                                                        $query = "SELECT * FROM waitlist WHERE email='$email' LIMIT 1";
                                                        $result = mysqli_query($conn, $query);
                                                        if ($result && (mysqli_num_rows($result) > 0)) {
                                                              $row = mysqli_fetch_assoc($result);
                                                              $user_id =  $row["id"];
                                                              if (strlen($user_id) == 1){
                                                                  $user_id = "00".$user_id;
                                                              }
                                                              else if (strlen($user_id) == 2){
                                                                  $user_id = "0".$user_id;
                                                              }
                                                              else{
                                                                  $user_id;
                                                              }
                                                              echo "<span class='text-success fw-bold'>You have successfully subscribed</span>";
                                                        }
                                                        
                                                    } else {
                                                      echo "Error: " . mysqli_error($conn);
                                                    }
                                                       $name = $first_name.' '.$last_name;
                                                       $from = "info@healthbumpa.com";
                                                       $to = $email;
                                                       $subject = "Welcome to the HealthBumpa Family 😍 !";
                                                       $message = "Dear ".$name.", \n \nWelcome to the HealthBumpa family, where we're committed to making quality healthcare accessible and affordable to everyone. We're thrilled to have you join us on this journey to better health! By joining our waitlist, you've taken the first step towards securing your health and wellness.\n\nWe promise to keep you in the loop on everything HealthBumpa - from our exciting offers to valuable tips and resources to help you live and stay healthy. \n\nBut first, we want to take a moment to acknowledge and celebrate you for prioritizing your health. In a world where it\'s so easy to put our wellbeing at the backburner, you've shown that you're committed to taking care of yourself. We applaud you for that! \n \n a token of our appreciation, we\'ll be giving you exclusive access to our platform and offers before anyone else. So get ready to be among the first to experience the future of healthcare! \n\nWe can't wait to get to know you better and help you achieve your health goals. If you have any questions or just want to say hi, feel free to shoot us an email via info@healthbumpa.com \n\nTo Better Health, \n\nAugustine and the HealthBumpa Team.";
                                                      // The content-type header must be set when sending HTML email
                                                       $headers = "MIME-Version: 1.0" . "\r\n";
                                                       $headers .= "Content-type:text/plain;charset=UTF-8" . "\r\n";
                                                       $headers = "From:" . $from;
                                                       if(mail($to,$subject,$message, $headers)) {
                                                           //echo "Mail was sent successfully";
                                                       }else {
                                                          echo "Mail was not sent.";
                                                       }
                                                }
                                                mysqli_close($conn);
                                                //echo '<script>window.reload(); </script>';
                                              }
                                            }
                                            else{
                                                header('Location: ./');
                                                ob_end_flush();
                                            }
                                            ?>
						<span> You're currently </span>
						<div class="number-tag">
							<h2>#<?php echo $user_id; ?></h2>
						</div>
						<div>
							<span>on the waitlist</span>
						</div>
						<a href="https://wa.me/?text=https://healthbumpa.com/" class="share">Share with friends</a>
					</div>
				</div>
			</div>
				</div>
			</main>
			<!--end of main-->
						<br />
<?php include './footer.php'; ?>
