
<?php
    ob_start();
    require("backend/init.php");
    ini_set( 'display_errors', 1 );
    error_reporting( E_ALL );
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Welcome to Health Bumpa - Your Health Deserves The Best</title>    
        <meta name="description"
            content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Health Bumpa - Your Health Deserves The Best">
        <meta property="og:description" content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta property="og:url" content="https://healthbumpa.com/">
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Health Bumpa - Your Health Deserves The Best">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description"  content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="twitter:label1" content="Written by">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="assets/css/main.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
		<link rel="stylesheet" href="./assets/styles/index.css?ver=0.313534" />
	</head>
	<style>
	    	:is(.outer-container, .wrapper) {
			align-items: center;
			justify-content: center;
		}
		.svg-wrap svg {
			font-size: 3.5rem;
			color: #ff4266;
		}
		.card-inner {
			box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
			padding: 3rem 2rem;
			border-radius: 2rem;
		}
		.card-inner span {
			font-size: 0.9rem;
		}
		.number-tag h2 {
			color: #1e163f;
			font-size: 3rem;
		}
		.card-inner .share {
			background-color: #ff4266;
			-webkit-transition: 280ms ease-in-out;
			-moz-transition: 280ms ease-in-out;
			-ms-transition: 280ms ease-in-out;
			-o-transition: 280ms ease-in-out;
			transition: 280ms ease-in-out;
			color: #fff;
			border-radius: 6px;
			display: flex;
			align-items: center;
			justify-content: center;
			font-size: 0.88rem;
			border: none;
			padding: 0.66rem 1.4rem;
			letter-spacing: 0.3px;
			margin-top: 10px;
		}
		@media (hover: hover) {
			.card-inner .share:hover {
				background-color: #eb3d5d;
			}
		}
						    @media all and (max-width:567px){
						        .fw-bolder{
						            text-align:center;
						        }
						        .main__inner .pre__image > div:has(p) p {
                                    text-align:center;
                                }
                                .main__inner #_bIZmxOp6x .submit-btn {
                                    margin: auto;
                                    
                                }
						    }
						    .submit-btn{
						        font-family: var(--font-family2) !important;
                                letter-spacing: 1px !important;
						    }.social{
						        width: 30px;
                                height: 30px;
                                background: #25CBF6;
                                display: flex;
                                align-items: center;
                                justify-content: center;
                                border-radius: 50%;
                                color: white;
						    }footer * {
                                color: #211640;
                                font-family: var(--font-family2);
                            }
						</style>
	<body id="app">
		<div class="wrapper">
			<!--header-->
			<div class="header__inner">
				<nav class="container">
					<header class="py-4 d-flex align-items-center justify-content-between">
						<a href="./" class="logo">
							<img src="./assets/images/healthbumpa-logo.svg" alt="" class="img-fluid" />
						</a>
						<div class="flex align-items-center gap-2 links">
							<a href="./" class="get-access" style="    border: 1px solid #ff4266;
                                font-family: var(--font-family2);
                                letter-spacing: 1px;
                                background-color: transparent;
                                color: #ff4266;"> Back</a>
						</div>
					</header>
				</nav>
			</div>
			<!--end of header-->
			<main>
				<!--main-->
				<div class="main__inner pt-4">
					<div class="container p-0">
				<div class="col-md-8 mx-auto outer-container">
					<div class="card-inner d-flex flex-column gap-1 align-items-center">
						<div class="svg-wrap">
							<svg
								xmlns="http://www.w3.org/2000/svg"
								width="1em"
								height="1em"
								preserveAspectRatio="xMidYMid meet"
								viewBox="0 0 256 256">
								<path
									fill="currentColor"
									d="M128 24a104 104 0 1 0 104 104A104.2 104.2 0 0 0 128 24Zm49.5 85.8l-58.6 56a8.1 8.1 0 0 1-5.6 2.2a7.7 7.7 0 0 1-5.5-2.2l-29.3-28a8 8 0 1 1 11-11.6l23.8 22.7l53.2-50.7a8 8 0 0 1 11 11.6Z" />
							</svg>
							
						</div>
						<span class='text-success fw-bold'>You have successfully subscribed</span>
							
						<div class="number-tag">
							<h4 class="my-3">Congratulations! </h4>
							<p style="font-weight: 400;font-family: system-ui;">You have successfully signed up for a Health Bumpa insurance plan and can start using the plan immediately.</p>
							<p style="font-weight: 400;font-family: system-ui;">We just sent an email and SMS to the email address and phone number you provided us. Kindly read the very important information carefully as they contain all you need to start using your insurance.</p>
							<p style="font-weight: 400;font-family: system-ui;">If you have any issues our Reliance Help Centre agents are always happy to help via:</p>
							<ul class="m-0 p-0">
							    <li>Email: <a href="mailto:hello@reliancehmo.com">hello@reliancehmo.com</a></li>
							    <li>Telephone: <a href="tel:070073542623">0700-7354-2623</a></li>
							    <li>Whatsapp: <a href="mailto:hello@reliancehmo.com">070-353-69587</a></li>
							    <li>Facebook: <a href="mailto:hello@reliancehmo.com">Greliancehmo</a></li>
							</ul>
						</div>
						<div>
							<span>Thanks for choosing Health Bumpa</span>
						</div>
						<a href="./login.php" class="share">Login to Dashboard</a>
					</div>
				</div>
			</div>
				</div>
			</main>
			<!--end of main-->
						<br />
<?php include './footer.php'; ?>
