
<?php
    require("backend/init.php");
?>
<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Health Bumpa - Your Health Deserves The Best</title>    
        <meta name="description"
            content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Health Bumpa - Your Health Deserves The Best">
        <meta property="og:description" content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta property="og:url" content="https://healthbumpa.com/">
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Health Bumpa - Your Health Deserves The Best">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description"  content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="twitter:label1" content="Written by">
        <meta name="twitter:data1" content="Okeke Johnpaul">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
		<link rel="stylesheet" href="./assets/styles/index.css?ver=0.389901" />
	</head>
	<style>
						    @media all and (max-width:567px){
						        .fw-bolder{
						            text-align:center;
						        }
						        .main__inner .pre__image > div:has(p) p {
                                    text-align:center;
                                }
                                .main__inner #_bIZmxOp6x .submit-btn {
                                    margin: auto;
                                    
                                }
						    }
						    .submit-btn{
						        font-family: var(--font-family2) !important;
                                letter-spacing: 1px !important;
						    }.social{
						        width: 30px;
                                height: 30px;
                                background: #25CBF6;
                                display: flex;
                                align-items: center;
                                justify-content: center;
                                border-radius: 50%;
                                color: white;
						    }footer * {
                                color: #211640;
                                font-family: var(--font-family2);
                            }input {
                                height:60px;
                            }.form-control:focus {
                                color: rgb(33, 37, 41);
                                background-color: rgb(255, 255, 255);
                                box-shadow: none !important;
                                border-color: rgb(134, 183, 254);
                                outline: 0px;
                            }@media all and (max-width:500px){
                                .ggggg img{
                                    height:250px !important;
                                    width:auto !important;
                                    margin:auto;
                                    display:block;
                                }
                            }
						</style>
	<body id="app">
		<div class="wrapper">
			<!--header-->
			<div class="header__inner">
				<nav class="container">
					<header class="py-4 d-flex align-items-center justify-content-between">
						<a href="./" class="logo">
							<img src="./assets/images/healthbumpa-logo.svg" alt="" class="img-fluid" />
						</a>
						<div class="flex align-items-center gap-2 links">
							<a href="./" class="get-access" style="    border: none;
                                font-family: var(--font-family2);
                                letter-spacing: 1px;
                                background-color: transparent;
                                color: #ff4266;"> Back</a>
						</div>
					</header>
				</nav>
			</div>
			<!--end of header-->
			<main class="row m-0">
			    <div class="col-md-6 ggggg" style="background: #F2FCFF;">
			        <div>
			            <img src="./assets/images/To the stars-rafiki 1.svg"  width="100%"/>
			        </div>
			    </div>
			    <div class="col-md-6 px-md-5 px-3 my-4">
			        <h1>
			            Be the first to know when we launch
			        </h1>
			        
			        <form style="font-family:var(--font-family2) !important" class="mt-5" method="POST" action="./success">
			            <div class="mb-4">
                        <input type="text" class="form-control" name="first_name" placeholder="First Name" style="font-family:var(--font-family2) !important" required>
                      </div>
                      <div class="mb-4">
                        <input type="text" class="form-control" name="last_name" placeholder="Last Name" style="font-family:var(--font-family2) !important" required>
                      </div>
                      <div class="mb-4">
                        <input type="email" class="form-control" name="email" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Email Address" style="font-family:var(--font-family2) !important" required>
                        <div id="emailHelp" class="form-text" style="font-family:var(--font-family2) !important">We'll never share your email with anyone else.</div>
                      </div>
                      <b class="mb-3 text-danger"><?php echo(isset($_GET['err']) ? $_GET['err'] : ''); ?></b>
                      <button type="submit" class="btn btn-secondary w-100" style="height:60px">Submit</button>
                    </form>
			    </div>
			</main>
			<!--end of main-->
			<br />

			<!--end of footer-->
		</div>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"></script>
		
	</body>
</html>
