<?php include './header.php'; ?>
<style>
    .main-text {
       background-image: url("./assets/images/glowing-blue-lines-dark-background 1.png");
        background-size: cover;
        background-color: #211640;
        background-blend-mode: overlay;
        height: 100%;
        overflow: hidden;
        color: white;
        margin-top: 30px;
        padding-top: 50px;
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        row-gap: 1.5rem
    }
    .get-access{
        border: 1px solid #ff4266;
        letter-spacing: .5px;
        font-weight: 500;
        background-color: #ff4266;
        color: #fff;
        padding: .8rem 2rem;
        border-radius: 5px;
    }
    .third-segment-boxes {
        display: grid;
        grid-template-columns:  1fr;
        
        @media all and (min-width: 690px){
            & {
                grid-template-columns: 1fr 1fr
            }
        }
        gap:30px;
        
        & .each-box{
            display: flex;
            flex-direction: column;
            row-gap: .6rem;
            
            & :is(p, h3, img){
                margin: 0;
            }
            & img{
                background-color: #D2E4FF;
                padding: 8px;
                border-radius: 50%;
                aspect-ratio: 1/1
            }
        }
    }
    .each-box img {
        margin-bottom: 15px;
        border-radius: 50%;
        aspect-ratio: `1/1;
        width: 41px;
    }.each-box .v-card-title {
        padding-bottom: 10px;
        text-transform: capitalize;
        font-size: 1.8rem;
        font-weight: 700;
    }
    .each-box .card{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    .each-box .each-box-title{
        font-weight: 600;
        text-transform: capitalize;
    }
    .each-box .v-card-text{
        font-size: .9rem;
        margin-bottom: 0;
    }
    @media all and (600px < width < 991px){
        .v-aspect{
            aspect-ratio: 16/9;
            display: flex;
            align-items: center;
            justify-content: center;
            
            & img{
                width: 100%;
                height: 100%;
                object-fit: cover;
                object-position: center center
            }
        }
    }
    .v-dot-image{
        top: 50%;
        z-index: -1;
        bottom: 50%;
    }
    .v-1 {
        & .v-dot-image{
            left: -40px;
            translate -50% -50%
        }
    }
    .v-2 {
        & .v-dot-image{
            right: -40px;
            translate -50% -50%
        }
    }
    :is(.v-1, .v-2){
        overflow-x: hidden;
    }
    .v-user-images-wrapper{

        & .v-person-profile-inner{
            display: flex;  
            flex-direction: column;
            row-gap: 10px;
            align-items: flex-start;
            height: 100%;
            justify-content: space-around;
            transition: box-shadow 300ms ease-in;
            padding: 1rem 1.5rem;
            border-radius: .8rem;
            
            @media all and (min-width: 680px){
                &{
                    /*max-width: 19rem;*/
                    padding: 1.8rem 2.2rem;
                    margin-inline: auto;
                }
            }
            
            &:hover{
                box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
            }
           
            & .v-image-container {
                aspect-ratio: 1/1;
                overflow: hidden;
                border-radius: 8px;
                width: 100%;
                overflow: hidden;
                
                & img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }
            }
            & .card-body{
                display: flex;
                flex-direction: column;
                row-gap: 3px;
                
                & :is(p, a, .card-title){
                    margin: 0;
                }
            }
        }
    }
</style>
			<!--end of header-->
			<main>
				<!--main-->
				<div class="main__inner px-0 pt-1">
					<div class=" px-0">
						<!--section one-->
						<div class="container-lg">
						    <div class="col-md-11 mx-auto">
    						    <div class="main-text text-center py-5 links mb-5 px-3">
                                    <h2 >About us</h2>
                                    <div class="col-sm-10 mx-auto">
                                        <p>We are committed to safeguarding your well-being by providing comprehensive health insurance coverage tailored to your needs.</p>
                                    </div>
                                    <div class="mt-3">
                                        <a href="./pricing.php" class="get-access" style="color:white !important;"> Get Started</a>
                                    </div>
                                </div>
    						    <div class="row col-12 align-items-center m-0 mt-4 gap-4 gap-md-0">
        							<div class="p-0 pre__image col-md-6">
        								<div class="pre__image__inner animate__animated animate__backInLeft px-md-3">
        									<div>
        										<h1 class="fw-bolder"><b>What Drives Us</b></h1>
        									</div>
        									<div>
        										<p class='v-p-text'>
        											Wherever tech drives health insurance, be sure to experience HealthBumpa! We are an innovative, user-centric health insurance service that aims to revolutionize Nigeria’s healthcare system. Because we firmly believe that a country is only wealthy when its citizenry is healthy. We offer a wide spectrum of health insurance plans to make quality yet affordable health care services accessible to all individuals and organizations. We have partnered with some of the best hospitals, clinics, and labs across the country and elsewhere in the world. At HealthBumpa, our team also prides itself on having both experienced medical personnel and non-medical support team who provide expert advice to our community of users to ensure they get the best medical care in Nigeria and overseas.
        										</p>
        									</div>
        								</div>
        							</div>
        							<div class="col-md-1"></div>
        							<div class="p-0 image col-md-5">
        								<div class="animate__animated animate__backInRight">
        									<div class="v-aspect">
        									    <img src="./assets/images/people staring.png" alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" />
        									</div>
        								</div>
        							</div>
        						</div>  
						    </div>
						</div>
						
						<div class="container-lg py-5">
						    <div class="row align-items-stretch justify-content-center gap-lg-4" style="row-gap: 1.5rem">
    						    <div class="each-box col-sm-6 col-lg-5">
    						        <div class="card h-100 p-3">
                                        <img src="./assets/images/concentric.png">
                                          <h3 class="v-card-title">Our Vision</h3>
                                          <p class="v-card-text"> To ensure that every African can access quality yet affordable health care services whenever, wherever</p>
    						        </div>   
                               </div>
                               <div class="each-box col-sm-6 col-lg-5">
    						        <div class="card h-100 p-3">
                                        <img src="./assets/images/purple-bulb.png">
                                        <h3 class="v-card-title">Our Mission</h3>
                                        <p class="v-card-text">To use innovative technology to facilitate health care accessibility in Nigeria and beyond</p>
    						        </div>  
                               </div>
						    </div>
						</div>
						<div class="v-1 container-lg col-12 align-items-center gap-2 gap-md-4 py-4">
						    <h1 class="fw-bolder text-center"><b>Our Core Values</b></h1>
						    <span class="mb-4 d-block" style="color: #666666;text-align:center">We show up everyday exemplifying these values</span>
						    <div class="col-12 m-0 row align-items-center mt-5 justify-content-between px-sm-3 col-sm-10 mx-auto col-lg-12">
						        <div class="p-0 image col-lg-5 position-relative">
        							<div class="animate__animated animate__backInRight">
        								<div class="v-aspect">
        								    <img src="./assets/images/Frame 179.png"  alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" style="border-radius:15px;"/>
        								</div>
        							</div>
        							<div class="position-absolute v-dot-image">
        							    <img class="img-fluid" src="./assets/images/dots-red.png"/>
        							</div>
    							</div>
    							<div class="p-0 pre__image col-lg-6">
    								<div class="pre__image__inner animate__animated animate__backInLeft">
    									<div class="third-segment-boxes my-4">
                                           <div class="each-box">
                                              <img src="./assets/images/chart.png">
                                              <h3 class="each-box-title">Innovation</h3>
                                              <p>To ensure that every African can access quality yet affordable health care services whenever, wherever</p>
                                           </div>
                                           <div class="each-box">
                                              <img src="./assets/images/medal.png">
                                              <h3 class="each-box-title">Excellence</h3>
                                              <p>We do everything the most professional way in order to achieve the most desirable results.</p>
                                           </div>
                                           <div class="each-box">
                                              <img src="./assets/images/trend-up.png">
                                              <h3 class="each-box-title">Empathy</h3>
                                              <p>Empathy is more than a buzzword for us, it is our way of life.</p>
                                           </div>
                                           <div class="each-box">
                                              <img src="./assets/images/circles.png">
                                              <h3 class="each-box-title">Integrity</h3>
                                              <p>A company is not just a business; it is a reflection of the team’s character. We go the extra mile to remain honest in consistently in all our dealings</p>
                                           </div>
                                        </div>
    								</div>
    							</div>
						    </div>
						</div>
						
						<div class="v-2 container-lg col-12 align-items-center gap-2 mt-4 gap-md-4 py-4">
						    <h1 class="fw-bolder text-center"><b>Our Culture</b></h1>
						    <span class="mb-4 d-block text-center" style="color: #666666;">The HealthBumpa way of doing things hovers around these pillars</span>
						    <div class="row align-items-center mt-5 mx-0 col-12 col-sm-10 mx-auto col-lg-12 justify-content-between px-sm-3">
    						    <div class="p-0 pre__image col-lg-6">
    								<div class="pre__image__inner animate__animated animate__backInLeft">
                                        <div class="third-segment-boxes my-4">
                                           <div class="each-box">
                                              <img src="./assets/images/timer-pause.png">
                                              <h3 class="each-box-title">motivation</h3>
                                              <p>To ensure that every African can access quality yet 
                                                 affordable
                                                 health care services whenever, wherever
                                              </p>
                                           </div>
                                           <div class="each-box">
                                              <img src="./assets/images/profile-2user.png">
                                              <h3 class="each-box-title">teamwork</h3>
                                              <p>We do everything the most professional
                                                 way in order to achieve the most desirable results.
                                              </p>
                                           </div>
                                           <div class="each-box">
                                              <img src="./assets/images/share.png">
                                              <h3 class="each-box-title">speed</h3>
                                              <p>Empathy is more than a buzzword for us, it is our way of life.</p>
                                           </div>
                                           <div class="each-box">
                                              <img src="./assets/images/sun.png">
                                              <h3 class="each-box-title">friendliness</h3>
                                              <p>A company is not just a business; it is a reflection of the team’s character. We go the extra mile to remain honest in 
                                                 consistently in all our dealings
                                              </p>
                                           </div>
                                        </div>
    								</div>
                    			</div>
    					        <div class="p-0 image col-lg-5 position-relative">
    								<div class="animate__animated animate__backInRight">
    									<div class="v-aspect">
    									    <img src="./assets/images/Frame 183.png"  alt="HealthBumpa: The Future of Health Insurance is Here" class="img-fluid" style="border-radius:15px;"/>
    									</div>
    								</div>
    								<div class="position-absolute v-dot-image">
        							    <img class="img-fluid" src="./assets/images/dots-red.png"/>
        							</div>
    							</div>
						    </div>
						    
						</div>
						
						<div class="container-lg col-12 align-items-center gap-2 mt-4 gap-md-4 py-4 p-0">
						    <h1 class="fw-bolder text-center"><b>Our People</b></h1>
						    <span class="mb-4 d-block" style="color: #666666; text-align:center">The HealthBumpa way of doing things hovers around these pillars.</span>
						    <div class="col-12 m-0 row align-items-stretch flex-wrap justify-content-evenly mt-5 v-user-images-wrapper">
						        <div class="col-sm-6 col-lg-3 col-xl-4 px-0 px-sm-3">
                                    <div class="v-person-profile-inner">
                                        <div class="v-image-container">
                                            <img class="img-fluid" src="./assets/images/image 5 (1).svg">
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">Opara Augustine Chukwu</h5>
                                            <p class="card-text">Founder\CEO</p>
                                            <a href="#"><img src="./assets/images/entypo-social_linkedin-with-circle.png" alt="Linkedin" /></a>
                                        </div>
                                    </div>
                                </div>
						        <div class="col-sm-6 col-lg-3 col-xl-4 px-0 px-sm-3">
                                    <div class="v-person-profile-inner">
                                        <div class="v-image-container">
                                            <img src="./assets/images/image 5.svg"  class="img-fluid">
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">Opara Marvelous Imoiseme</h5>
                                            <p class="card-text">Co-Founder/CMO</p>
                                            <a href="#"><img src="./assets/images/entypo-social_linkedin-with-circle.png" alt="Linkedin" /></a>
                                       </div>
                                    </div>
                                </div>
                                
                                <div class="col-sm-6 col-lg-3 col-xl-4 px-0 px-sm-3">
                                    <div class="v-person-profile-inner">
                                        <div class="v-image-container">
                                            <img class="img-fluid" src="./assets/images/image 5 (2).svg">
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">Kelechi Nwuzi, ACIArb </h5>
                                            <p class="card-text">Head, Legal.</p>
                                            <a href="#"><img src="./assets/images/entypo-social_linkedin-with-circle.png" alt="Linkedin" /></a>
                                        </div>
                                    </div>
                                </div>
						    </div>
						    
						</div>
						
						<!--section seven-->
					</div>
				</div>
				
			</main>
			<!--end of main-->
			<br />
<?php include './footer.php'; ?>