<?php
include '../backend/init.php';

    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://online.hygeiahmo.com/tpi-ms/api/provider/getproviders/1930',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'GET',
    ));
            
    $response = curl_exec($curl);
    curl_close($curl);
    
    $res = json_decode($response,true);
    
    
    $limit = 200;
    $limitedArray = "";
    
    // {
    //     "providerName": "A'SRADIANCE SPECIALIST HOSPITAL",
    //     "providerCategory": "D",
    //     "state": "Lagos",
    //     "region": null,
    //     "lga": "Ikeja",
    //     "address": "5, ADERII AJITE STREET, BAKERY BUS STOP, OFF AIT ROAD, ALAGBODO",
    //     "email": "ASRADIANCESPECIALIST-1@YAHOO.COM"
    // }
    
    $distinctStates = array_unique(array_column($res, 'state'));
    // If you want to remove any null values from the array
    $distinctStates = array_filter($distinctStates, function ($value) {
        return $value !== null;
    });
    // Convert the filtered array to a list of distinct states
    $distinctStates = array_values($distinctStates);
    
    //Sort By State
    if (isset($_GET['search']) && !empty($_GET['search']) && $_GET['search'] != NULL){
        $searchedValue = $_GET['search'];
            $filteredProviders = array_filter($res, function ($provider) use ($searchedValue) {
                $fieldsToCheck = ['state', 'lga', 'address','providerName']; // Add more keys as needed
            
                foreach ($fieldsToCheck as $field) {
                    if (isset($provider[$field]) && strpos($provider[$field], $searchedValue) === 0) {
                        return true;
                    }
                }
                return false;
            });
        $res = array_values($filteredProviders);
    }
    
    //Sort By State
    if (isset($_GET['state']) && !empty($_GET['state']) && $_GET['state'] != NULL){
        $searchedState = $_GET['state']; // Replace with the state you're searching for
        $filteredProviders = array_filter($res, function ($provider) use ($searchedState) {
            return isset($provider['state']) && $provider['state'] === $searchedState;
        });
        
        $res = array_values($filteredProviders);
        
        if (isset($_GET['search']) && !empty($_GET['search']) && $_GET['search'] != NULL){
            $searchedValue = $_GET['search'];
            $filteredProviders = array_filter($res, function ($provider) use ($searchedValue) {
                $fieldsToCheck = ['state', 'lga', 'address','providerName']; // Add more keys as needed
            
                foreach ($fieldsToCheck as $field) {
                    if (isset($provider[$field]) && strpos($provider[$field], $searchedValue) === 0) {
                        return true;
                    }
                }
                return false;
            });
            $res = array_values($filteredProviders);
        }
    }
    
    
    
    for ($i = 0; $i < min($limit, count($res)); $i++) {
        $limitedArray .= '<div class="col-sm-6 col-lg-4">
              <div class="card p-2 h-100 shadow-none border">
                <div class="card-body p-3 pt-2">
                  <div class="d-flex justify-content-between align-items-center mb-3 pe-xl-3 pe-xxl-0">
                    <span class="badge bg-label-primary">'.$res[$i]["state"].'</span>
                    <h6 class="d-flex align-items-center justify-content-center gap-1 mb-0">
                      '.$res[$i]["providerCategory"].'<span class="text-warning"><i class="bx bxs-star me-1"></i></span>
                    </h6>
                  </div>
                  <a class="h5" href="app-academy-course-details.html">'.$res[$i]["providerName"].'</a>
                  <p class="mt-2">'.$res[$i]["address"].'</p>
                  <p class="d-flex align-items-center">'.$res[$i]["lga"].','.$res[$i]["state"].'.</p>
                  
                  <div >
                    <a class="app-academy-md-50 btn btn-label-success me-md-2 d-flex align-items-center w-100" href="#">
                      <i class="bx bx-sync align-middle me-2 "></i><span>Active</span>
                    </a>
                  </div>
                </div>
              </div>
            </div>';
    }
    
    
    echo json_encode(array('search_data'=>$limitedArray, 'states'=>$distinctStates));
    ;
?>