<?php $title = "My Hospitals"; ?>
<?php include './layout.php'; ?>
<!-- Content wrapper -->
<div class="content-wrapper" data-select2-id="9">

        <!-- Content -->
        
          <div class="container-xxl flex-grow-1 container-p-y" data-select2-id="8">
            
            

            <h4 class="py-3 mb-4"><span class="text-muted fw-light">Dashboard/</span> Hospitals</h4>
            <div class="app-academy" data-select2-id="7">
              <div class="card p-0 mb-4">
                <div class="card-body d-flex flex-column flex-md-row justify-content-between p-0 pt-4">
                  <div class="app-academy-md-25 card-body py-0 d-block">
                    <img src="https://demos.themeselection.com/sneat-bootstrap-html-admin-template/assets/img/illustrations/bulb-light.png" class="img-fluid app-academy-img-height scaleX-n1-rtl d-block m-auto" alt="Bulb in hand" data-app-light-img="illustrations/bulb-light.png" data-app-dark-img="illustrations/bulb-dark.png" height="90">
                  </div>
                  <div class="app-academy-md-50 card-body d-flex align-items-md-center flex-column text-md-center w-100">
                    <h3 class="card-title mb-4 lh-sm px-md-5 text-center" style="max-width:600px;">
                      Complete Health Assurance, Expertise in Well-being, and a Path to Your Healthier Future.
                      <span class="text-primary fw-medium text-nowrap"> All Under One Roof.</span>.
                    </h3>
                    <button type="button" class="btn mb-3 py-2 px-3 rounded-pill search_location btn-primary">
                        <span class="tf-icons bx bx-pie-chart-alt me-1"></span>Get Location
                    </button>
                    <div class="d-flex align-items-center justify-content-between app-academy-md-120">
                      <input type="search" placeholder="Find your hospital in your location..." class="form-control me-2" id="search">
                      <button type="submit" onclick="searchData();" class="btn btn-primary btn-icon"><i class="bx bx-search"></i></button>
                    </div>
                  </div>
                </div>
              </div>
            
              <div class="card mb-4">
                <div class="card-header d-flex flex-wrap justify-content-between gap-3 px-2 px-md-4" >
                  <div class="card-title mb-0  d-flex align-items-center justify-content-between w-100">
                    <h5 class="mb-1">Hopsital Locations</h5>
                     <select id="select2_course_select" class="select2 form-select w-auto" onChange="searchData()">
                      <option value="">All Locations</option>
                    </select>
                </div>
                <div class="card-body p-0">
                  <div class="row gy-4 mb-4 justify-content-center" style="min-height:50px;" id="result">
                  </div>
                </div>
              </div>
            
            </div>
                        
                      </div>
          <div class="content-backdrop fade"></div>
        </div>
    <?php include './footer.php'; ?>         
    <script>
        $(document).ready(function() {
            $.ajax({
                url: "fetch_hospital.php", // Replace with the actual path to your PHP file
                type: "GET",
                beforeSend: function() {
                    $("#result").html(`<div class="spinner-border" role="status">
                                        <span class="visually-hidden">Loading...</span>
                                      </div>`);
                },
                success: function(response) {
                    var providerInfo;
                    let res = JSON.parse(response);
                    $("#result").html(res.search_data);
                    for (var i = 0; i < res.states.length; i++) {
                        providerInfo += `<option value="${res.states[i]}">${res.states[i]}</option>`;
                    }
                    $('#select2_course_select').append(providerInfo);
                },
                error: function(xhr, status, error) {
                    console.log("Error: " + error);
                }
            });
        });
        function searchData(){
            $.ajax({
                url: "fetch_hospital.php?state="+$('#select2_course_select').val()+"&search="+$('#search').val(), // Replace with the actual path to your PHP file
                type: "GET",
                beforeSend: function() {
                    $("#result").html(`<div class="spinner-border" role="status">
                                        <span class="visually-hidden">Loading...</span>
                                      </div>`);
                },
                success: function(response) {
                    let res = JSON.parse(response);
                    $("#result").html(res.search_data);;
                },
                error: function(xhr, status, error) {
                    console.log("Error: " + error);
                }
            });
        }
        $('.search_location').on('click',function(){
            $(this).append(`<div class="spinner-border" style="margin-left:10px;" role="status">
                                        <span class="visually-hidden">Loading...</span>
                                      </div>`);
            $.ajax({
                url: "get_location.php",
                type: "GET",
                success: function(response) {
                    $('.search_location').html('<span class="tf-icons bx bx-pie-chart-alt me-1"></span>Get Location');
                    $("#search").val(response);
                }
            });
        });
    </script>