<?php $title = "Dashboard"; ?>
<?php include './layout.php'; ?>
<!-- Content wrapper -->
<div class="content-wrapper">
            <!-- Content -->

            <div class="container-xxl flex-grow-1 container-p-y">
              <div class="row">
                <div class="col-lg-8 mb-4 order-0">
                  <div class="card">
                    <div class="d-flex align-items-end row">
                      <div class="col-sm-7">
                        <div class="card-body">
                          <h5 class="card-title text-primary">Hello <?php echo $user['fname']; ?> <?php echo $user['lname']; ?>! 🎉.</h5>
                          <p class="mb-4">
                            Welcome to Your Health Insurance Dashboard. Your Health, Our Priority.
                          </p>

                          <a href="./hospitals.php" class="btn btn-sm btn-outline-primary">Check Hospitals</a>
                        </div>
                      </div>
                      <div class="col-sm-5 text-center text-sm-left">
                        <div class="card-body pb-0 px-0 px-md-4">
                          <img
                            src="assets/img/illustrations/man-with-laptop-light.png"
                            height="140"
                            alt="View Badge User"
                            data-app-dark-img="illustrations/man-with-laptop-dark.png"
                            data-app-light-img="illustrations/man-with-laptop-light.png"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-md-4 order-1">
                  <div class="row">
                    <div class="col-lg-6 col-md-12 col-6 mb-4">
                      <a href="./my-profile.php" class="card d-block h-100">
                        <div class="card-body">
                          <div class="card-title d-flex align-items-start justify-content-between">
                            <div class="avatar flex-shrink-0">
                              <img
                                src="assets/img/icons/unicons/chart-success.png"
                                alt="chart success"
                                class="rounded"
                              />
                            </div>
                          </div>
                          <span class="fw-semibold d-block mb-1">My Profile</span>
                          <small class="d-block text-dark">Get a quick summary of your health insurance coverage.</small>
                        </div>
                      </a>
                    </div>
                    <div class="col-lg-6 col-md-12 col-6 mb-4">
                      <a href="./payments.php" class="card d-block h-100">
                        <div class="card-body">
                          <div class="card-title d-flex align-items-start justify-content-between">
                            <div class="avatar flex-shrink-0">
                              <img
                                src="assets/img/icons/unicons/wallet-info.png"
                                alt="Credit Card"
                                class="rounded"
                              />
                            </div>
                          </div>
                          <span>Payments</span>
                          <small class="d-block text-dark">Track and manage your insurance payment efficiently.</small>
                        </div>
                      </a>
                    </div>
                  </div>
                </div>
                <!-- Total Revenue -->
                <div class="col-12 col-lg-8 order-2 order-md-3 order-lg-2 mb-4">
                  <div class="card mb-4">
                      <div class="card-body">
                        <small class="text-muted text-uppercase">Overview</small>
                        <ul class="list-unstyled mt-3 mb-0">
                        <?php 
                        if ($user['is_subscribed_start']){
                            ?>
                              <li class="d-flex align-items-center mb-3"><i class="bx bx-check"></i><span class="fw-medium mx-2">Insurance Status:</span> <span class="btn btn-success badge">Active</span></li>
                              <li class="d-flex align-items-center mb-3"><i class="bx bx-customize"></i><span class="fw-medium mx-2">Payments:</span> <span>1</span></li>
                              <li class="d-flex d-none align-items-center"><i class="bx bx-user"></i><span class="fw-medium mx-2">Connections:</span> <span>897</span></li>
                            <?php
                        }else{
                            ?>
                            <li class="d-flex align-items-center mb-3"><i class="bx bx-check"></i><span class="fw-medium mx-2">Insurance Status:</span> <span class="btn btn-danger badge">Inactive</span></li>
                              <li class="d-flex align-items-center mb-3"><i class="bx bx-customize"></i><span class="fw-medium mx-2">Payments:</span> <span>1</span></li>
                              <li class="d-flex d-none align-items-center"><i class="bx bx-user"></i><span class="fw-medium mx-2">Connections:</span> <span>897</span></li>
                            <?php
                        }
                        ?>
                          
                        </ul>
                      </div>
                    </div>
                </div>
                <!--/ Total Revenue -->
                <div class="col-12 col-md-8 col-lg-4 order-3 order-md-2">
                  <div class="row">
                    <div class="col-12 mb-4">
                      <a href="./my-benefits.php" class="card d-block h-100">
                        <div class="card-body">
                          <div class="card-title d-flex align-items-start justify-content-between">
                            <div class="avatar flex-shrink-0">
                                <i class="menu-icon tf-icons bx bx-copy"></i>
                            </div>
                          </div>
                          <span class="d-block mb-1">Benefits</span>
                          <small class="text-dark d-block">View and manage your health insurance policies.</small>
                        </div>
                      </a>
                    </div>
                    <!-- </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- / Content -->


            <div class="content-backdrop fade"></div>
          </div>
<?php include './footer.php'; ?>         
<!-- Content wrapper -->
        