<?php 
function getIp(){  
    //whether ip is from the share internet  
    if(!empty($_SERVER['HTTP_CLIENT_IP'])) {  
        $ip = $_SERVER['HTTP_CLIENT_IP'];  
    }  
    //whether ip is from the proxy  
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {  
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];  
    }  
    //whether ip is from the remote address  
    else{  
        $ip = $_SERVER['REMOTE_ADDR'];  
    }  
    return $ip;  
}
function getBrowser() { 
  $u_agent = $_SERVER['HTTP_USER_AGENT'];
  $bname = 'Unknown';
  $platform = 'Unknown';
  $version= "";

    //First get the platform?
    if (preg_match('/linux/i', $u_agent)) {
        $platform = 'linux';
    }elseif (preg_match('/macintosh|mac os x/i', $u_agent)) {
        $platform = 'mac';
    }elseif (preg_match('/windows|win32/i', $u_agent)) {
        $platform = 'windows';
    }
    $ub="";
    // Next get the name of the useragent yes seperately and for good reason
    if(preg_match('/MSIE/i',$u_agent) && !preg_match('/Opera/i',$u_agent)){
        $bname = 'Internet Explorer';
        $ub = "MSIE";
    }elseif(preg_match('/Firefox/i',$u_agent)){
        $bname = 'Mozilla Firefox';
        $ub = "Firefox";
    }elseif(preg_match('/OPR/i',$u_agent)){
        $bname = 'Opera';
        $ub = "Opera";
    }elseif(preg_match('/Chrome/i',$u_agent) && !preg_match('/Edge/i',$u_agent)){
        $bname = 'Google Chrome';
        $ub = "Chrome";
    }elseif(preg_match('/Safari/i',$u_agent) && !preg_match('/Edge/i',$u_agent)){
        $bname = 'Apple Safari';
        $ub = "Safari";
    }elseif(preg_match('/Netscape/i',$u_agent)){
        $bname = 'Netscape';
        $ub = "Netscape";
    }elseif(preg_match('/Edge/i',$u_agent)){
        $bname = 'Edge';
        $ub = "Edge";
    }elseif(preg_match('/Trident/i',$u_agent)){
        $bname = 'Internet Explorer';
        $ub = "MSIE";
    }

    // finally get the correct version number
    $known = array('Version', $ub, 'other');
    $pattern = '#(?<browser>' . join('|', $known) .')[/ ]+(?<version>[0-9.|a-zA-Z.]*)#';
    if (!preg_match_all($pattern, $u_agent, $matches)) {
        // we have no matching number just continue
    }
    // see how many we have
    $i = count($matches['browser']);
    if ($i != 1) {
        //we will have two since we are not using 'other' argument yet
        //see if version is before or after the name
        if (strripos($u_agent,"Version") < strripos($u_agent,$ub)){
            $version= $matches['version'][0];
        }else {
            $version= $matches['version'][1];
        }
    }else {
        $version= $matches['version'][0];
    }

    // check if we have a number
    if ($version==null || $version=="") {$version="?";}

    return array(
        'userAgent' => $u_agent,
        'name'      => $bname,
        'version'   => $version,
        'platform'  => $platform,
        'pattern'    => $pattern
    );
} 
function generate_string($input, $strength) {
    $input_length = strlen($input);
    $random_string = '';
    for ($i = 0; $i < $strength; $i++) {
        $random_character = $input[mt_rand(0, $input_length - 1)];
        $random_string .= $random_character;
    }
 
    return $random_string;
}

//_______________DETECT DEVICES__________________//
            $tablet_browser = 0;
            $mobile_browser = 0;
             if (preg_match('/(tablet|ipad|playbook)|(android(?!.*(mobi|opera mini)))/i', strtolower($_SERVER['HTTP_USER_AGENT']))) {
                 $tablet_browser++;
             }
             if (preg_match('/(up.browser|up.link|mmp|symbian|smartphone|midp|wap|phone|android|iemobile)/i', strtolower($_SERVER['HTTP_USER_AGENT']))) {
                 $mobile_browser++;
             }
             if ((strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml') > 0) or ((isset($_SERVER['HTTP_X_WAP_PROFILE']) or isset($_SERVER['HTTP_PROFILE'])))) {
                 $mobile_browser++;
             }
             $mobile_ua = strtolower(substr($_SERVER['HTTP_USER_AGENT'], 0, 4));
             $mobile_agents = array(
                 'w3c ','acs-','alav','alca','amoi','audi','avan','benq','bird','blac',
                 'blaz','brew','cell','cldc','cmd-','dang','doco','eric','hipt','inno',
                 'ipaq','java','jigs','kddi','keji','leno','lg-c','lg-d','lg-g','lge-',
                 'maui','maxo','midp','mits','mmef','mobi','mot-','moto','mwbp','nec-',
                 'newt','noki','palm','pana','pant','phil','play','port','prox',
                 'qwap','sage','sams','sany','sch-','sec-','send','seri','sgh-','shar',
                 'sie-','siem','smal','smar','sony','sph-','symb','t-mo','teli','tim-',
                 'tosh','tsm-','upg1','upsi','vk-v','voda','wap-','wapa','wapi','wapp',
                 'wapr','webc','winw','winw','xda ','xda-');
             if (in_array($mobile_ua,$mobile_agents)) {
                 $mobile_browser++;
             }
             if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']),'opera mini') > 0) {
                 $mobile_browser++;
                 //Check for tablets on opera mini alternative headers
                 $stock_ua = strtolower(isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])?$_SERVER['HTTP_X_OPERAMINI_PHONE_UA']:(isset($_SERVER['HTTP_DEVICE_STOCK_UA'])?$_SERVER['HTTP_DEVICE_STOCK_UA']:''));
                 if (preg_match('/(tablet|ipad|playbook)|(android(?!.*mobile))/i', $stock_ua)) {
                   $tablet_browser++;
                 }
             }
             if ($tablet_browser > 0) {
               // do something for tablet devices
               $device = 'Tablet/Ipad';
             }
             else if ($mobile_browser > 0) {
               // do something for mobile devices
               $device = 'Mobile Phone';
             }
             else {
               // do something for everything else
               $device = 'Desktop/Laptop';
             }
                         
            //Tracking Info 
            $input = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            $output = generate_string($input, 6);
            $session = $output.time();
            
            $ipaddress = getIp();
            $browser = getBrowser()['name'].' on '.getBrowser()['platform'];
            if ($browser == 'Unknown on Unknown'){
                $browser = $_SERVER['HTTP_USER_AGENT'];
            }
            $location_data = json_decode(file_get_contents("http://ipinfo.io/{$ipaddress}/json"));
            $location = $location_data->city.', '.$location_data->country.'.';
            if ($location_data->city == ''){
                $location_data = json_decode(file_get_contents("http://ip-api.com/json/{$ipaddress}"));
                $location = $location_data->city.', '.$location_data->country.'.';
            }
            $seescode = str_shuffle(time().(mt_rand(43, 615)));
            //Put sessioncode inside database
            $dateloggedin= time();
            $insert_data = $connection->prepare("INSERT INTO usersessionlog (Email,Username,Type,Sessioncode,Date,Ipaddress,Browser, Location,Device) VALUES (?,?,?,?,?,?,?,?,?)");
            $insert_data->bind_param("sssssssss", $email,$username,$type, $seescode, $dateloggedin, $ipaddress, $browser, $location,$device);
            $insert_data->execute();
            $insert_data->close();

?>