
<?php
    include("backend/init.php");
    $token = $_GET['token'];
    $error = null;
    $sql = "SELECT * FROM forgot_password_token WHERE token = '$token' ";
    $c = $connection;
    $isExpired = false;
    $query = mysqli_query($c,$sql);
    if($query){
        if(mysqli_num_rows($query) > 0 ){
            $token_details = mysqli_fetch_assoc($query);
            $isExpired = time() > $token_details['expireIn'];
            if($isExpired){
                $error = "Token has expired! Please try again!";
            }else{
                #pass
            }
        }else{
            $error = "Invalid token sent to this page!";
        }
    }
?>
<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <meta name="format-detection" content="telephone=no">
        <title> Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa</title>    
        <meta name="description"
            content="Looking for an affordable and reliable health insurance option that gives you access to the care you need? look no further than HealthBumpa">
        <meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large">
        <link rel="canonical" href="https://healthbumpa.com/">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta property="og:locale" content="en_US">
        <meta property="og:type" content="website">
        <meta property="og:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        <meta property="og:description" content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta property="og:url" content="https://healthbumpa.com/">
        <meta property="og:site_name" content="Health Bumpa">
        <meta property="og:updated_time" content="2022-04-09T10:51:25+01:00">
        <meta property="article:published_time" content="2018-10-14T12:21:59+01:00">
        <meta property="article:modified_time" content="2022-04-09T10:51:25+01:00">
        <meta name="twitter:card" content="summary_large_image">
        <meta name="twitter:title" content="Get Affordable, Accessible, and Reliable Health Insurance - Get early Access Today | HealthBumpa">
        
        <meta property="og:image" content="./assets/images/woman-image.png" />
        <meta property="og:image:width" content="2560" />
        <meta property="og:image:height" content="1441" />
        <meta property="og:image:type" content="image/png" />
        <meta name="twitter:description"  content="Join the HealthBumpa waitlist and get ready to experience the future of health insurance. Affordable, accessible, and reliable insurance plans tailored to your needs.">
        <meta name="twitter:label1" content="Written by">
        <meta name="twitter:data1" content="Okeke Johnpaul">
        <meta name="twitter:label2" content="Time to read">
        <meta name="twitter:data2" content="10 minutes">
        <link rel="icon" href="./assets/images/favicon.png" sizes="32x32">
        <link rel="icon" href="./assets/images/favicon.png" sizes="192x192">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" />
        <link rel="stylesheet" href="./assets/styles/auth.css?ver=0.31233777871"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css">
    	<style>
    	    .field-icon {
        float: right;
        margin-right: 17px;
        margin-top: -31px;
        position: relative;
        z-index: 2;
    }
    	</style>
</head>
<body>
  <div>
	<section class="mt-5 log" style="margin-top: 30px !important;">
		<div class="container">
			<div class="row mt-5">
				<div class="col-lg-5 offset-lg-3">
				    <a href="https://healthbumpa.com/" class="d-flex justify-content-center text-center mx-auto">
					    <img src="./assets/images/healthbumpa-logo.svg"  class="img " style="width: auto; height: 25px; margin-bottom: 20px;">
					</a>
					<h3 class="mb-5 text-center mx-auto">Reset Passwrod</h3>
					<p>Enter your new password</p>
					<div id='formStatus'>
					    <?php
					    echo !is_null($error) ? "<div class='alert alert-danger'>
					                        '".$error."'
					                   </div>" :"";
					    ?>
					</div>
					<?php if(!$error) { ?>
					<form  method='POST' id='reset-form'>
					<input type="password" class="form-control" name="password"
						placeholder="Enter your password" required>
					<br>
					<input type='hidden' name='token' value="<?php echo $token; ?>" />
					<input type="password" class="form-control" name="confirm_password"
						placeholder="Enter your comfirm password" required>
					<button class="btn w-100" type='submit'>Reset</button>
					</form>
					<?php } ?>
					<p class="mt-3"><a href="login.php" class="text"> Back to Login</a></p>
				</div>
			</div>
		</div>
	</section>
	</div>	

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js?ver=1.21"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
 <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<script>
    const resetForm = document.getElementById("reset-form")
    resetForm.onsubmit = function(e){
                 $("#formStatus").html(``)
        e.preventDefault()
        const data = new FormData(resetForm)
        $.ajax({
            url:"../backend/auth/forgot_password_reset.php",
            method:'POST',
            processData:false,
            contentType:false,
            data,
            beforeSend:function(){
                
            },
            success:function(data){
             const res = JSON.parse(data)
             if(res.status){
                 $("#formStatus").html(`<div class='alert alert-success'>${res.message}</div>`)
                 setTimeout(()=>{
                     window.location.href = "./login.php"
                 },2000)
             }else{
                 $("#formStatus").html(`<div class='alert alert-danger'>${res.message}</div>`)
             }
            }
        })
    }
</script>
</body>
</html>